# Version 0.4.0

2006-08-01  Sven Herzberg  <herzi@gnome-de.org>

	* .cvsignore,
	* po/.cvsignore: updated
	* Makefile.am,
	* data/Makefile.am: distcheck fixes
	* autogen.sh: updated, uses newer automake
	* configure.in: updated for 0.4.0; added gnome-doc-utils; fix libtool; 
	* NEWS: updated
	* help/C/Makefile.am,
	* help/Makefile.am,
	* help/fr/Makefile.am,
	* help/fr/fr.po,
	* help/fr/monkey-bubble.xml,
	* help/monkey-bubble.omf.in,
	* help/omf.make,
	* help/xmldocs.make: migrated the documentation system to use
	gnome-doc-utils
	* po/POTFILES.in: updated

2006-08-01  Laurent Belmonte  <laurent.belmonte@gmail.com>

	* src/audio/sound-manager.c: fix music restart 

2006-07-30  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: require GTK+ 2.10
	* data/monkey-bubble.glade: insert the preferences into the game menu
	* src/ui/Makefile.am: updated
	* src/ui/update-from-egg.sh,
	* src/ui/eggaccelerators.c,
	* src/ui/eggaccelerators.h,
	* src/ui/eggcellrendererkeys.c,
	* src/ui/eggcellrendererkeys.h: removed old libegg code
	* src/ui/keyboard-properties.c: updated to new GTK+ code
	* src/view/monkey-canvas.c: fixed error messages (Erreur)

2006-06-26  Sven Herzberg  <herzi@gnome-de.org>

	* src/ui/eggcellrendererkeys.c,
	* src/ui/ui-network-client.c,
	* src/ui/ui-network-server.c: fixed gcc 4.1 warnings (patch from
	Michael J. Knox)

2006-06-21  Raivis Dejus  <orvils@gmail.com>

	* configure.in	Added lv in ALL_LINGUAS line.

2006-06-14  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: depend on GStreamer 0.10
	* src/audio/sound-manager.c: use GStreamer 0.10

2006-03-21  Sven Herzberg  <herzi@gnome-de.org>

	* src/net/client.c,
	* src/net/game-manager-proxy.c,
	* src/net/game-manager.c,
	* src/net/simple-server.c,
	* src/ui/game-network-player-manager.c,
	* src/ui/ui-network-client.c,
	* src/ui/ui-network-server.c: fixed gcc 4 warnings (based upon
	a patch from Michael Knox)

2006-02-05  Clytie Siddall <clytie@riverland.net.au>

	* vi.po: Updated Vietnamese translation.

2006-01-24  Clytie Siddall <clytie@riverland.net.au>

	* configure.in	Added vi in ALL_LINGUAS line.
	
2006-01-07  Ilkka Tuohela  <hile@iki.fi>

	* configure.in: Added fi to ALL_LINGUAS

2005-10-12  Pawan Chitrakar  <pchitrakar@gmail.com>

	* configure.in: Added ne in ALL_LINGUAS

2005-08-10  Alexander Shopov  <ash@contact.bg>

	* configure.in: Added "bg" (Bulgarian) to ALL_LINGUAS

2005-04-01  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-29  Sven Herzberg  <herzi@gnome-de.org>

	* src/ui/eggcellrendererkeys.c: included a patch from Robert Day
	<zarin@dscn.net> to fix compilation with gcc 3.4

2005-03-16  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2005-01-03  Satoru SATOH <ss@gnome.gr.jp>

	* configure.in: Added 'ja' (Japanese) to ALL_LINGUAS

2004-12-24  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	quick fix for network game. not tested
	* src/monkey/monkey.c:
	* src/monkey/monkey.h:
	* src/net/game.c: (bubbles_exploded):
	* src/net/message-handler.c: (network_message_handler_class_init),
	(network_message_handler_send_waiting_added),
	(parse_waiting_added):
	* src/net/message-handler.h:
	* src/net/monkey-marshal.list:
	* src/ui/game-network-player.c: (recv_waiting_added),
	(game_network_player_bubble_shot):

2004-12-03  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	audio stuff 
	* sounds/Makefile.am:
	* sounds/destroy_group.wav:
	* sounds/launch.wav:
	* sounds/rebound.wav:
	* sounds/stick.wav:
	* src/audio/Makefile.am:
	* src/audio/sound-manager.c: (sound_manager_instance_init),
	(sound_manager_finalize), (sound_manager_get_instance),
	(sound_manager_init), (sound_manager_class_init),
	(sound_manager_get_type), (restart_play), (eos), (error_handler),
	(sound_manager_new), (stop_play), (oggdemux_new_pad), (start_play),
	(sound_manager_play_music_file), (sound_manager_play_fx):
	* src/audio/sound-manager.h:
	* src/ui/Makefile.am:
	* src/ui/game-1-player.c: (game_1_player_new):
	* src/ui/game-sound.c: (mb_game_sound_new), (bubble_sticked),
	(bubbles_exploded), (bubble_shot), (bubble_wall_collision),
	(mb_game_sound_connect_monkey), (mb_game_sound_instance_init),
	(mb_game_sound_dispose), (mb_game_sound_class_init),
	(mb_game_sound_get_type):
	* src/ui/game-sound.h:
	* src/ui/main.c: (main):
	* src/ui/ui-main.c: (ui_main_new):

2004-12-02  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	update my email address
	* AUTHORS:

2004-12-02  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	patch from Ronald S. Bultje for music
	patch from Christian Fredrik Kalager Schaller for app-icon
	* src/audio/sound-manager.c: (restart_play), (eos), (stop_play),
	(oggdemux_new_pad), (start_play), (sound_manager_play_music_file):
	* src/ui/main.c: (main):
	* src/ui/ui-main.c: (ui_main_new):

2004-12-02  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	updated monkey canvas, maybe performance gain
	waiting for feedback ..
	* src/view/monkey-canvas.c: (monkey_canvas_get_type),
	(monkey_canvas_configure), (monkey_canvas_scale_image_ghfunc),
	(monkey_canvas_expose), (monkey_canvas_create_block_from_image),
	(monkey_canvas_create_block), (monkey_canvas_load_image_from_path),
	(create_pixbuf_svg), (monkey_canvas_append_layer),
	(monkey_canvas_new_layer), (monkey_canvas_add_block),
	(monkey_canvas_move_block), (monkey_canvas_remove_block),
	(monkey_canvas_unref_block), (layer_draw), (block_draw),
	(monkey_canvas_clear), (monkey_canvas_paint):

2004-11-09  Hasbullah BIn Pit <sebol@my-penguin.org>

	* configure.in: Added 'ms' (Malay) to ALL_LINGUA

2004-09-27  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	update clock to add mb prefix, hope fix the compilation
	on MacOS X
	added ru.po made by <zcd043@sectorb.msk.ru>

	* po/ru.po:
	* src/net/game.c: (update_client), (network_game_start),
	(network_game_instance_init):
	* src/ui/game-1-player.c: (game_1_player_new), (get_time),
	(time_paused), (time_unpaused), (time_init):
	* src/ui/game-2-player.c: (game_2_player_new), (get_time),
	(time_paused), (time_unpaused), (time_init):
	* src/ui/game-network-player.c: (game_network_player_new),
	(get_time), (time_paused), (time_unpaused), (time_init):
	* src/util/clock.c: (mb_clock_instance_init), (mb_clock_finalize),
	(mb_clock_class_init), (mb_clock_get_type), (mb_clock_new),
	(mb_clock_start), (mb_clock_pause), (mb_clock_get_time):
	* src/util/clock.h:

2004-09-20  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        Russian translation updated by <zcd043@sectorb.msk.ru>
	fix missing translation in ui

	* configure.in:
	* po/POTFILES.in:
	* src/ui/keyboard-properties.c:
	* src/ui/ui-main.c: (about):
	* src/ui/ui-network-client.c: (ui_network_client_new):
	* src/ui/ui-network-server.c: (ui_network_server_new):

2004-07-16  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some re-indent :(

	svg remasterization by olivier (powered by inkscape)
	* pixmaps/layout_1_player.svg:
	* pixmaps/layout_2_players.svg:
	* pixmaps/layout_network_player.svg:
	* pixmaps/pane.svg:
	* src/monkey/board.c: (board_finalize), (board_new),
	* src/monkey/board.h:
	* src/monkey/monkey.c: (monkey_instance_init),
	* src/monkey/playground.c: (playground_new),
	* src/monkey/playground.h:
	* src/monkey/shooter.c: (shooter_new), (shooter_instance_init),
	* src/monkey/shooter.h:

2004-07-08  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	update contributors and mainwindow icon
	* src/ui/ui-main.c: (ui_main_new), (ui_main_finalize), (about):

2004-07-07  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	add observer notion so in the future users could spy game
	* src/net/game.c: (observer_disconnected), (add_observer),
	(notify_observers), (network_game_new),
	(network_game_instance_init), (remove_observer):
	* src/ui/game-network-player-manager.c: (state_changed),
	(start_timeout), (game_created_ok), (recv_xml_message):
	* src/ui/game-network-player.c: (recv_bubble_array):

2004-07-06  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	show other players bubbles color

	add DEBUG to enable debug message

	fix the network game background image
	
	* pixmaps/bubbles/Makefile.am:
	* pixmaps/bubbles/little_bubble.svg:
	* pixmaps/bubbles/little_bubble_01.svg:
	* pixmaps/bubbles/little_bubble_02.svg:
	* pixmaps/bubbles/little_bubble_03.svg:
	* pixmaps/bubbles/little_bubble_04.svg:
	* pixmaps/bubbles/little_bubble_05.svg:
	* pixmaps/bubbles/little_bubble_06.svg:
	* pixmaps/bubbles/little_bubble_07.svg:
	* pixmaps/bubbles/little_bubble_08.svg:
	* pixmaps/layout_network_player.svg:
	* src/net/game-manager.c: (client_request_start):
	* src/net/game.c: (bubble_sticked), (game_lost), (send_start):
	* src/net/message-handler.c: (network_message_handler_connect),
	(handler_loop), (network_message_handler_disconnect),
	(parse_waiting_added):
	* src/ui/game-network-player-manager.c: (recv_bubble_array):
	* src/ui/game-network-player.c: (game_network_player_finalize),
	(recv_winlost), (recv_bubble_array), (game_network_player_new):
	* src/ui/ui-main.c: (ui_main_new):
	* src/view/mini-view.c: (mb_mini_view_new), (create_bubble),
	(add_colorblock), (mb_mini_view_update):
	* src/view/monkey-view.c: (update_exploded_bubbles),
	(monkey_view_update), (monkey_view_instance_init),
	(monkey_view_finalize), (add_exploded_bubble),
	(monkey_view_bubbles_exploded):

2004-07-05  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	a network fix

	network background fix
	* pixmaps/layout_network_player.svg:
	* src/net/simple-server.c: (remove_handler), (unref_handler),
	(network_simple_server_finalize):
	* src/ui/game-network-player.c: (game_network_player_new):

2004-07-02  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	music is looping !
	0.3.2
	* pixmaps/layout_network_player.svg:
	* src/audio/sound-manager.c: (restart_play), (eos), (stop_play),
	(loop), (oggdemux_new_pad), (start_play),
	(sound_manager_play_music_file):
	* src/ui/main.c: (main):

2004-07-01  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	add new mini view for network game
	* pixmaps/Makefile.am:
	* pixmaps/bubbles/Makefile.am:
	* pixmaps/bubbles/little_bubble.svg:
	* pixmaps/layout_network_player.svg:
	* src/monkey/board.c: (board_finalize), (board_new),
	(board_load_from_file), (board_get_y_min), (board_get_odd),
	(board_get_array), (board_get_bubble_position), (board_get_cell),
	(board_get_bubble_at), (board_get_row_count),
	(board_get_column_count), (board_bubble_added),
	(board_bubble_removed), (board_get_colors_count),
	(board_stick_bubble), (board_get_fallen), (board_down),
	(recursive_tag_fallen), (board_get_exploded),
	(recursive_tag_exploded), (advance_quadrant),
	(board_bubbles_count), (board_get_bubble), (board_set_bubble),
	(board_collide_bubble), (board_init), (board_is_lost),
	(board_print), (board_add_bubbles),
	(board_notify_bubbles_exploded), (board_insert_bubbles),
	(board_notify_bubble_sticked), (board_notify_bubbles_added),
	(board_notify_down), (board_notify_bubbles_inserted),
	(board_instance_init), (board_class_init), (board_get_type):
	* src/monkey/board.h:
	* src/monkey/bubble.h:
	* src/monkey/color.h:
	* src/net/game-manager-proxy.c: (recv_players_list):
	* src/net/game-manager-proxy.h:
	* src/net/game-manager.c: (send_game_list):
	* src/net/game.c: (bubble_sticked), (notify_observers),
	(init_client):
	* src/net/message-handler.c: (network_message_handler_class_init),
	(network_message_handler_send_bubble_array), (parse_bubble_array):
	* src/net/message-handler.h:
	* src/net/monkey-marshal.list:
	* src/ui/game-1-player.c: (game_1_player_new):
	* src/ui/game-2-player.c: (game_2_player_new):
	* src/ui/game-network-player-manager.c: (start_timeout),
	(recv_bubble_array):
	* src/ui/game-network-player.c: (game_network_player_finalize),
	(game_network_player_bubble_sticked), (recv_bubble_array),
	(recv_next_range), (game_network_player_new):
	* src/view/Makefile.am:
	* src/view/mini-view.c: (mb_mini_view_new),
	(mb_mini_view_instance_init), (mb_mini_view_finalize),
	(create_bubble), (remove_colorblock), (add_colorblock),
	(mb_mini_view_update), (mb_mini_view_class_init),
	(mb_mini_view_get_type):
	* src/view/mini-view.h:
	* src/view/monkey-canvas.c: (create_pixbuf_svg):
	* src/view/monkey-view.c: (monkey_view_new),
	(monkey_view_set_points):
	* src/view/monkey-view.h:

2004-06-29  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	sound work but not finished ..

	maybe network fix, to try
	* src/audio/sound-manager.c: (stop_play), (iterate),
	(oggdemux_new_pad), (start_play), (sound_manager_play_music_file):
	* src/net/game.c: (update_idle):

2004-06-28  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	a bug fix to new add bubbles to top

	board_print to check the server state
	* src/monkey/board.c: (board_print):
	* src/monkey/board.h:
	* src/monkey/monkey.c: (monkey_print_board):
	* src/monkey/monkey.h:
	* src/net/game.c: (bubble_sticked):
	* src/ui/game-network-player.c:
	(game_network_player_bubble_sticked):
	* src/ui/ui-network-client.c: (ready_signal):
	* src/view/monkey-view.c: (monkey_view_animate_stars):

2004-06-25  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	indent with anjuta ....

	add bubbles to top instead of down the board
	* src/net/game-manager.c: (network_game_manager_add_client),
	(network_game_manager_instance_init), (start_game):
	* src/net/game.c: (client_disconnected), (add_client),
	(add_bubble), (recv_shoot), (bubble_added), (add_range_to_client),
	(bubble_sticked), (bubbles_exploded), (game_lost), (init_client),
	(what_color), (init_clients), (network_game_new), (idle_stopped),
	(send_start), (update_client), (update_lost), (update_idle),
	(network_game_start), (network_game_instance_init),
	(remove_client), (network_game_finalize),
	(network_game_class_init), (network_game_get_type):
	* src/net/message-handler.c: (network_message_handler_new),
	(network_message_handler_connect),
	(network_message_handler_finalize),
	(network_message_handler_instance_init),
	(network_message_handler_class_init),
	(network_message_handler_get_type), (parse_message),
	(parse_xml_message), (handler_loop),
	(network_message_handler_disconnect),
	(network_message_handler_start_listening), (write_chunk),
	(read_chunk), (network_message_handler_send_message),
	(network_message_handler_send_xml_message),
	(network_message_handler_join),
	(network_message_handler_send_waiting_added),
	(parse_waiting_added), (calculate_size),
	(network_message_handler_send_bubble_array), (parse_bubble_array),
	(network_message_handler_send_add_bubble), (parse_add_bubble),
	(parse_next_range), (network_message_handler_send_next_range),
	(network_message_handler_send_shoot), (parse_shoot),
	(network_message_handler_send_winlost), (parse_winlost),
	(network_message_handler_send_start):
	* src/ui/game-network-player.c:
	(game_network_player_instance_init),
	(game_network_player_finalize), (game_network_player_class_init),
	(game_network_player_get_type),
	(game_network_player_bubble_sticked), (add_bubble),
	(recv_add_bubble), (recv_winlost), (recv_waiting_added),
	(recv_next_range), (game_network_player_bubble_shot),
	(game_network_player_new), (pressed), (released),
	(game_network_player_timeout), (get_time), (time_paused),
	(time_unpaused), (time_init), (game_network_player_start),
	(game_network_player_stop), (game_network_player_is_lost),
	(game_network_player_get_score), (game_network_player_pause),
	(game_network_player_get_state), (game_network_player_game_lost),
	(game_network_player_fire_changed):

2004-06-25  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	fix bubbles svg

	bump version to 0.3.1 !
	* configure.in:
	* pixmaps/bubbles/bubble_02.svg:
	* pixmaps/bubbles/bubble_03.svg:
	* pixmaps/bubbles/bubble_05.svg:
	* pixmaps/bubbles/bubble_06.svg:
	* pixmaps/bubbles/bubble_07.svg:
	* pixmaps/bubbles/bubble_08.svg:

2004-06-25  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some sound code work...
	fix bug in network-message-handler 
	* configure.in:
	* src/audio/sound-manager.c: (stop_play), (oggdemux_new_pad),
	(start_play), (sound_manager_play_music_file):
	* src/monkey/shooter.c: (shooter_shoot):
	* src/net/game-manager.c: (send_game_list):
	* src/net/game.c: (client_disconnected), (add_client),
	(remove_client), (network_game_finalize):
	* src/net/message-handler.c: (parse_xml_message), (handler_loop),
	(read_chunk), (network_message_handler_send_xml_message),
	(network_message_handler_send_waiting_added),
	(parse_waiting_added):

2004-06-24  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some code cleanup
	leak fix made by tom
	
	* debian/changelog:
	* src/net/game-manager.c: (network_game_manager_add_client),
	(network_game_manager_remove_client), (start_game), (game_stopped):
	* src/net/game-manager.h:
	* src/net/game.c: (client_disconnected), (remove_client):
	* src/ui/game-1-player.c: (game_1_player_finalize):
	* src/ui/game-2-player.c: (game_2_player_finalize):
	* src/ui/game-network-player-manager.c:
	(game_network_player_manager_new), (finalize), (iface_init),
	(state_changed), (start_timeout), (recv_add_bubble), (recv_start),
	(recv_bubble_array), (game_created_ok), (recv_xml_message),
	(game_network_player_manager_start),
	(game_network_player_manager_stop), (instance_init), (class_init),
	(game_network_player_manager_get_type):
	* src/ui/ui-main.c: (ui_main_set_game_manager),
	(ui_main_stop_game):
	* src/ui/ui-network-client.c: (recv_network_xml_message):
	* src/ui/ui-network-server.c: (recv_network_xml_message):
	* src/view/monkey-view.c: (monkey_view_finalize):

2004-06-22  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	fix leak made by tom
	* src/monkey/board.c: (board_load_from_file):
	* src/view/monkey-canvas.c: (monkey_canvas_paint):
	* src/view/monkey-view.c: (monkey_view_finalize),
	(monkey_view_free_map), (monkey_view_shooter_bubble_added):

2004-06-21  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	fix add bubble at the right time
	* src/monkey/shooter.c: (shooter_add_bubble), (shooter_shoot):
	* src/net/game.c: (recv_shoot), (bubble_sticked):
	* src/net/message-handler.c: (network_message_handler_class_init),
	(parse_message), (parse_add_bubble), (parse_next_range):
	* src/net/message-handler.h:
	* src/ui/game-1-player.c: (game_1_player_bubble_sticked),
	(game_1_player_bubble_shot):
	* src/ui/game-2-player.c: (game_2_player_bubble_shot),
	(game_2_player_bubble_sticked):
	* src/view/monkey-view.c: (monkey_view_shooter_shoot),
	(animate_waiting_bubble), (monkey_view_shooter_bubble_added):

2004-06-17  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	rename NetworkGameLauncher -> UiNetworkClient
	rename NetworkServerLauncher -> UiNetworkServer

	some network stuff...
	* data/monkey-bubble.glade:
	* data/netgame.glade:
	* data/netserver.glade:
	* src/net/game-manager-proxy.c: (net_game_manager_proxy_finalize):
	* src/net/message-handler.c: (network_message_handler_new),
	(network_message_handler_finalize), (handler_loop),
	(network_message_handler_disconnect),
	(network_message_handler_start_listening):
	* src/net/simple-server.c: (close_socket), (unref_handler),
	(network_simple_server_finalize):
	* src/ui/Makefile.am:
	* src/ui/network-game-launcher.c:
	* src/ui/network-game-launcher.h:
	* src/ui/network-server-launcher.c:
	* src/ui/network-server-launcher.h:
	* src/ui/ui-main.c: (ui_main_new), (new_network_game),
	(new_network_server):
	* src/ui/ui-network-client.c: (ui_network_client_new),
	(status_idle), (set_status_message), (connect_server_signal),
	(send_disconnect), (disconnected), (quit_signal),
	(quit_server_signal), (ready_signal), (send_init),
	(update_players_list_idle), (update_players_list),
	(start_game_idle), (start_game), (players_list_updated),
	(game_created), (update_number_of_players_idle),
	(update_number_of_players), (number_of_players_changed),
	(update_number_of_games_idle), (update_number_of_games),
	(number_of_games_changed), (recv_network_xml_message),
	(set_sensitive_true_idle), (set_sensitive_false_idle),
	(set_sensitive), (connection_closed), (connect_server),
	(ui_network_client_finalize), (ui_network_client_instance_init),
	(ui_network_client_class_init), (ui_network_client_get_type):
	* src/ui/ui-network-client.h:
	* src/ui/ui-network-server.c: (ui_network_server_new),
	(number_of_players_changed), (number_of_games_changed),
	(send_disconnect), (quit_server_signal), (quit_signal),
	(ready_signal), (start_signal), (send_init),
	(update_players_list_idle), (update_players_list),
	(start_game_idle), (players_list_updated),
	(update_number_of_players_idle), (update_number_of_players),
	(net_number_of_players_changed), (update_number_of_games_idle),
	(update_number_of_games), (net_number_of_games_changed),
	(game_created), (start_game), (recv_network_xml_message),
	(set_sensitive_true_idle), (set_sensitive_false_idle),
	(set_sensitive), (set_number_of_games), (set_number_of_players),
	(connect_server), (ui_network_server_finalize),
	(ui_network_server_instance_init), (ui_network_server_class_init),
	(ui_network_server_get_type):
	* src/ui/ui-network-server.h:
	* src/view/monkey-view.c: (monkey_view_shooter_bubble_added):

2004-06-16  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some leak fixes made by tom
	debian package update by tom

	* debian/changelog:
	* debian/control:
	* src/monkey/board.c: (board_set_bubble):
	* src/net/message-handler.c:
	(network_message_handler_send_xml_message):
	* src/ui/game-network-player-manager.c: (recv_bubble_array):
	* src/ui/game-network-player.c: (recv_waiting_added):
	* src/ui/network-game-launcher.c: (recv_network_xml_message):
	* src/view/monkey-view.c: (monkey_view_finalize):

2004-06-16  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	add game limitation and player limitation
	* data/netgame.glade:
	* data/netserver.glade:
	* src/net/game-manager-proxy.c:
	(net_game_manager_proxy_send_number_of_players),
	(net_game_manager_proxy_send_number_of_games):
	* src/net/game-manager.c: (network_game_manager_add_client),
	(network_game_manager_instance_init), (start_timeout),
	(game_stopped):
	* src/ui/game-network-player.c: (game_network_player_bubble_shot),
	(game_network_player_new), (game_network_player_game_lost):
	* src/ui/network-game-launcher.c: (network_game_launcher_new),
	(disconnected), (quit_server_signal), (ready_signal),
	(update_players_list_idle), (start_game_idle),
	(players_list_updated), (game_created),
	(update_number_of_players_idle), (update_number_of_players),
	(number_of_players_changed), (update_number_of_games_idle),
	(update_number_of_games), (number_of_games_changed),
	(recv_network_xml_message):
	* src/ui/network-server-launcher.c: (network_server_launcher_new),
	(number_of_players_changed), (number_of_games_changed),
	(quit_server_signal), (update_players_list_idle),
	(update_number_of_players_idle), (update_number_of_players),
	(net_number_of_players_changed), (update_number_of_games_idle),
	(update_number_of_games), (net_number_of_games_changed),
	(recv_network_xml_message),
	(network_server_launcher_instance_init):

2004-06-15  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	new newtwork stuff to test
	* .cvsignore:
	* data/.cvsignore:
	* data/netserver.glade:
	* help/C/.cvsignore:
	* help/fr/.cvsignore:
	* src/input/.cvsignore:
	* src/net/Makefile.am:
	* src/net/client.c: (recv_xml_message),
	(network_client_send_number_of_players),
	(network_client_send_number_of_games), (network_client_class_init):
	* src/net/client.h:
	* src/net/game-manager-proxy.c: (net_game_manager_proxy_new),
	(net_game_manager_proxy_instance_init),
	(net_game_manager_proxy_finalize), (free_client),
	(recv_players_list), (recv_xml_message),
	(net_game_manager_proxy_get_players),
	(net_game_manager_proxy_get_number_of_players),
	(net_game_manager_proxy_get_number_of_games),
	(net_game_manager_proxy_send_ready_state),
	(net_game_manager_proxy_send_start),
	(net_game_manager_proxy_class_init),
	(net_game_manager_proxy_get_type):
	* src/net/game-manager-proxy.h:
	* src/net/game-manager.c: (network_game_manager_add_client),
	(client_request_number_of_games),
	(client_request_number_of_players),
	(send_number_of_games_to_client), (send_number_of_games),
	(send_number_of_players_to_client), (send_number_of_players):
	* src/net/game.c: (client_disconnected), (add_client),
	(recv_shoot), (game_lost), (send_start):
	* src/ui/game-network-player-manager.c:
	(game_network_player_manager_new),
	(game_network_player_manager_state_changed), (start_timeout),
	(recv_add_bubble):
	* src/ui/game-network-player.c:
	(game_network_player_instance_init),
	(game_network_player_finalize), (recv_add_bubble), (recv_winlost),
	(recv_waiting_added), (pressed), (released),
	(game_network_player_timeout):
	* src/ui/network-game-launcher.c: (start_game_idle):
	* src/ui/network-server-launcher.c: (network_server_launcher_new),
	(number_of_players_changed), (quit_server_signal), (ready_signal),
	(start_signal), (update_players_list_idle), (start_game_idle),
	(players_list_updated), (game_created), (recv_network_xml_message),
	(set_number_of_games), (set_number_of_players), (connect_server):

2004-06-09  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	more network stuff

	new input manager
	* configure.in:
	* src/Makefile.am:
	* src/input/Makefile.am:
	* src/input/input-manager.c: (mb_input_manager_new),
	(mb_input_manager_get_left), (mb_input_manager_get_right),
	(mb_input_manager_get_instance),
	(mb_input_manager_instance_set_window),
	(mb_input_manager_instance_init), (mb_input_manager_finalize),
	(mb_input_manager_class_init), (mb_input_manager_get_type):
	* src/input/input-manager.h:
	* src/input/player-input.c: (mb_player_input_new),
	(mb_player_input_instance_init), (mb_player_input_finalize),
	(client_notified), (conf_keyboard), (key_released), (key_pressed),
	(mb_player_input_class_init), (mb_player_input_get_type):
	* src/input/player-input.h:
	* src/net/game.c: (bubble_added), (bubble_sticked), (init_client),
	(update_idle), (remove_client), (network_game_finalize):
	* src/ui/Makefile.am:
	* src/ui/game-1-player.c: (game_1_player_instance_init),
	(game_1_player_finalize), (game_1_player_class_init),
	(game_1_player_get_type), (game_1_player_bubble_sticked),
	(game_1_player_new), (pressed), (released),
	(game_1_player_timeout), (get_time), (time_paused),
	(time_unpaused), (time_init), (game_1_player_start),
	(game_1_player_stop), (game_1_player_is_lost),
	(game_1_player_get_score), (game_1_player_pause),
	(game_1_player_get_state), (game_1_player_game_lost),
	(game_1_player_bubbles_exploded), (game_1_player_add_to_score),
	(game_1_player_add_bubble), (game_1_player_bubble_shot),
	(game_1_player_fire_changed):
	* src/ui/game-2-player.c: (game_2_player_finalize),
	(game_2_player_new), (pressed), (released),
	(game_2_player_timeout), (get_time), (time_paused),
	(time_unpaused), (time_init), (game_2_player_start),
	(game_2_player_stop), (game_2_player_pause),
	(game_2_player_get_state), (game_2_player_game_lost),
	(game_2_player_bubbles_exploded), (game_2_player_add_bubble),
	(game_2_player_bubble_shot), (game_2_player_bubble_sticked),
	(game_2_player_get_winner), (game_2_player_fire_changed),
	(game_2_player_instance_init), (game_2_player_class_init),
	(game_2_player_get_type):
	* src/ui/game-network-player-manager.c: (start_timeout),
	(recv_add_bubble), (game_network_player_manager_start),
	(game_network_player_manager_stop):
	* src/ui/game-network-player.c:
	(game_network_player_instance_init),
	(game_network_player_finalize), (game_network_player_class_init),
	(game_network_player_get_type),
	(game_network_player_bubble_sticked), (add_bubble),
	(recv_add_bubble), (recv_winlost),
	(game_network_player_bubble_shot), (game_network_player_new),
	(pressed), (released), (game_network_player_timeout), (get_time),
	(time_paused), (time_unpaused), (time_init),
	(game_network_player_start), (game_network_player_stop),
	(game_network_player_is_lost), (game_network_player_get_score),
	(game_network_player_pause), (game_network_player_get_state),
	(game_network_player_game_lost),
	(game_network_player_bubbles_exploded),
	(game_network_player_fire_changed):
	* src/ui/game-network-player.h:
	* src/ui/main.c: (main):
	* src/view/monkey-canvas.c: (monkey_canvas_paint):

2004-06-08  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	nearly playable network game
	* src/net/game-manager.c: (game_stopped),
	(client_request_game_created_ok):
	* src/net/game.c: (bubble_added), (update_lost), (remove_client),
	(network_game_finalize):
	* src/ui/game-network-player-manager.c:
	(game_network_player_manager_state_changed), (start_timeout),
	(recv_add_bubble), (recv_bubble_array), (game_created_ok),
	(recv_xml_message), (game_network_player_manager_start),
	(game_network_player_manager_stop):
	* src/ui/game-network-player.c: (game_network_player_finalize),
	(recv_add_bubble), (recv_winlost), (game_network_player_timeout),
	(game_network_player_bubbles_exploded):
	* src/ui/network-game-launcher.c: (start_game_idle),
	(recv_network_xml_message):
	* src/ui/network-server-launcher.c: (start_game_idle),
	(recv_network_xml_message):

2004-06-07  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	more network stuff...
	* src/net/game-manager.c: (network_game_manager_add_client),
	(network_game_manager_remove_client),
	(network_game_manager_instance_init), (send_game_list),
	(client_request_start), (game_stopped), (client_disconnected):
	* src/ui/game-network-player.c: (recv_winlost),
	(game_network_player_game_lost):
	* src/ui/network-game-launcher.c: (disconnected),
	(quit_server_signal), (ready_signal):
	* src/ui/network-server-launcher.c: (quit_server_signal):

2004-06-04  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	disable sound by default (use --enable-sound)

	more network stuff
	* src/audio/sound-manager.c: (stop_play), (start_play):
	* src/monkey/board.c: (board_stick_bubble):
	* src/net/game-manager.c: (game_stopped),
	(client_request_game_created_ok):
	* src/net/game.c: (update_idle):
	* src/ui/main.c: (main):

2004-06-04  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	more network stuff
	* src/net/game.c: (game_lost), (update_lost), (update_idle),
	(network_game_instance_init):
	* src/net/message-handler.c: (network_message_handler_connect):
	* src/net/simple-server.c: (client_connection_closed),
	(recv_xml_message):
	* src/ui/game-network-player.c: (idle_draw_win), (recv_winlost):
	* src/ui/network-server-launcher.c: (recv_network_xml_message):

2004-06-03  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	fix compilation
	update gstreamer dependencies
	* configure.in:
	* src/net/Makefile.am:

2004-06-03  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	more network stuff
	* src/net/game.c: (recv_shoot), (bubble_sticked),
	(bubbles_exploded), (game_lost), (idle_stopped), (update_client),
	(update_idle), (network_game_start):
	* src/ui/game-network-player.c: (game_network_player_finalize),
	(game_network_player_bubble_sticked), (add_bubble),
	(recv_add_bubble), (recv_winlost), (recv_waiting_added),
	(game_network_player_bubbles_exploded):

2004-06-01  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some work done on network
	* src/net/client.c: (recv_xml_message),
	(network_client_class_init):
	* src/net/client.h:
	* src/net/game-manager.c: (network_game_manager_add_client),
	(send_start_game_to_client), (start_game), (client_request_start),
	(client_request_game_created_ok):
	* src/net/game.c: (add_bubble), (recv_shoot), (bubble_added),
	(bubble_sticked), (bubbles_exploded), (game_lost), (init_client),
	(what_color), (init_clients), (network_game_new), (send_start),
	(network_game_start):
	* src/net/message-handler.c: (parse_xml_message), (write_chunk),
	(read_chunk), (network_message_handler_send_message),
	(network_message_handler_send_xml_message),
	(network_message_handler_send_waiting_added),
	(parse_waiting_added), (network_message_handler_send_bubble_array),
	(parse_bubble_array), (network_message_handler_send_start):
	* src/ui/game-network-player-manager.c: (recv_add_bubble),
	(recv_start), (recv_bubble_array),
	(game_network_player_manager_start):
	* src/ui/network-game-launcher.c: (network_game_launcher_new),
	(start_game_idle), (recv_network_xml_message):
	* src/ui/network-server-launcher.c: (start_game_idle),
	(recv_network_xml_message):

2004-05-26  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some name refactoring
	sadly,no much time to hack for the moment :(
	* src/net/Makefile.am:
	* src/net/client.c: (network_client_set_handler),
	(network_client_get_handler), (recv_xml_message),
	(client_connection_closed):
	* src/net/client.h:
	* src/net/game-manager.c: (network_game_manager_add_client),
	(send_game_joined), (send_game_list_to_client),
	(send_start_game_to_client), (start_game),
	(client_connection_closed):
	* src/net/game.c: (client_disconnected), (init_client):
	* src/net/main.c: (main):
	* src/net/message-handler.c: (network_message_handler_new),
	(network_message_handler_connect),
	(network_message_handler_finalize),
	(network_message_handler_instance_init),
	(network_message_handler_class_init),
	(network_message_handler_get_type), (parse_message),
	(parse_xml_message), (handler_loop),
	(network_message_handler_disconnect),
	(network_message_handler_start_listening), (write_chunk),
	(read_chunk), (network_message_handler_send_message),
	(network_message_handler_send_xml_message),
	(network_message_handler_join),
	(network_message_handler_send_waiting_added),
	(parse_waiting_added), (calculate_size),
	(network_message_handler_send_bubble_array), (parse_bubble_array),
	(network_message_handler_send_add_bubble), (parse_add_bubble),
	(network_message_handler_send_shoot), (parse_shoot),
	(network_message_handler_send_winlost), (parse_winlost),
	(network_message_handler_send_start):
	* src/net/message-handler.h:
	* src/net/mn-game-manager.c:
	* src/net/mn-game-manager.h:
	* src/net/monkey-message-handler.c:
	* src/net/monkey-message-handler.h:
	* src/net/monkey-network-game.c:
	* src/net/monkey-network-game.h:
	* src/net/simple-server.c: (network_simple_server_stop),
	(client_connection_closed), (add_handler), (remove_handler),
	(recv_xml_message), (send_init_reply), (create_client),
	(connect_client):
	* src/ui/game-network-player-manager.c:
	(game_network_player_manager_new), (recv_add_bubble), (recv_start),
	(recv_bubble_array):
	* src/ui/game-network-player-manager.h:
	* src/ui/game-network-player.c: (recv_add_bubble), (recv_winlost),
	(recv_waiting_added), (game_network_player_bubble_shot),
	(game_network_player_new):
	* src/ui/game-network-player.h:
	* src/ui/network-game-launcher.c: (send_disconnect),
	(quit_server_signal), (send_ready_state), (send_start),
	(send_init), (recv_network_xml_message), (connection_closed),
	(connect_server):
	* src/ui/network-server-launcher.c: (network_server_launcher_new),
	(send_disconnect), (quit_server_signal), (send_ready_state),
	(send_start), (send_init), (start_game_idle),
	(recv_network_xml_message), (connect_server):

2004-04-19  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	big refactor in the network code
	not finished ...
	* data/Makefile.am:
	* data/netgame.glade:
	* data/netserver.glade:
	* src/net/Makefile.am:
	* src/net/client.c: (network_client_new),
	(network_client_set_player), (network_client_get_player),
	(network_client_get_state), (network_client_set_handler),
	(network_client_get_handler), (network_client_get_id),
	(recv_xml_message), (client_connection_closed),
	(network_client_instance_init), (network_client_finalize),
	(network_client_class_init), (network_client_get_type):
	* src/net/client.h:
	* src/net/game-manager.c: (network_game_manager_new),
	(network_game_manager_add_client),
	(network_game_manager_instance_init), (send_game_joined),
	(client_state_changed), (network_game_manager_finalize),
	(send_game_list_to_client), (send_game_list), (start_game),
	(client_request_start), (client_connection_closed),
	(network_game_manager_class_init), (network_game_manager_get_type):
	* src/net/game-manager.h:
	* src/net/game.c: (client_disconnected), (add_client),
	(init_client), (init_clients), (network_game_new),
	(network_game_instance_init), (network_game_finalize),
	(network_game_class_init), (network_game_get_type):
	* src/net/game.h:
	* src/net/main.c: (main):
	* src/net/mn-game-manager.c: (connect_client), (disconnect_client),
	(restart_game), (game_stopped), (start_game),
	(mn_game_manager_new), (server_main_loop), (send_disconnect),
	(shutdown_client), (mn_game_manager_stop_server):
	* src/net/mn-game-manager.h:
	* src/net/monkey-message-handler.c: (parse_message), (write_chunk),
	(read_chunk), (parse_waiting_added), (calculate_size),
	(monkey_message_handler_send_bubble_array),
	(monkey_message_handler_send_start):
	* src/net/monkey-network-game.c: (create_monkey), (idle_stopped),
	(start_update_thread), (monkey_network_game_class_init):
	* src/net/monkey-network-game.h:
	* src/net/player.c: (network_player_new),
	(network_player_get_name), (network_player_instance_init),
	(network_player_finalize), (network_player_class_init),
	(network_player_get_type):
	* src/net/player.h:
	* src/net/simple-server.c: (network_simple_server_new),
	(network_simple_server_start), (bind_socket), (close_socket),
	(client_connection_closed), (add_handler), (remove_handler),
	(recv_xml_message), (send_init_reply), (create_client),
	(connect_client), (accept_loop), (get_next_id),
	(network_simple_server_instance_init),
	(network_simple_server_finalize),
	(network_simple_server_class_init),
	(network_simple_server_get_type):
	* src/ui/Makefile.am:
	* src/ui/game-network-player-manager.c:
	(game_network_player_manager_state_changed), (recv_add_bubble),
	(recv_bubble_array):
	* src/ui/game-network-player.c: (game_network_player_finalize),
	(recv_winlost), (game_network_player_timeout),
	(game_network_player_pause), (game_network_player_game_lost),
	(game_network_player_bubbles_exploded):
	* src/ui/network-game-launcher.c: (disconnected),
	(quit_server_signal), (ready_signal), (start_game_idle),
	(recv_network_xml_message), (connection_closed), (connect_server):
	* src/ui/network-server-launcher.c: (network_server_launcher_new),
	(free_network_client), (send_disconnect), (quit_server_signal),
	(send_ready_state), (ready_signal), (send_start), (start_signal),
	(send_init), (update_players_list_idle), (update_players_list),
	(recv_player_list), (start_game_idle), (start_game),
	(recv_network_xml_message), (set_sensitive_true_idle),
	(set_sensitive_false_idle), (set_sensitive), (connect_server),
	(network_server_launcher_finalize),
	(network_server_launcher_instance_init),
	(network_server_launcher_class_init),
	(network_server_launcher_get_type):
	* src/ui/network-server-launcher.h:
	* src/ui/ui-main.c: (ui_main_get_type), (ui_main_get_instance),
	(ui_main_new), (ui_main_draw_main), (ui_main_get_canvas),
	(ui_main_get_window), (ui_main_finalize), (ui_main_class_init),
	(ui_main_init), (ui_main_new_1_player_game),
	(ui_main_new_2_player_game), (ui_main_set_game_manager),
	(ui_main_enabled_games_item), (new_1_player_game),
	(new_2_player_game), (quit_program), (pause_game),
	(ui_main_stop_game), (stop_game), (ui_main_get_main_image),
	(ui_main_set_game), (ui_main_game_changed), (new_network_game),
	(new_network_server), (show_preferences_dialog), (about),
	(show_help_content), (show_error_dialog):

2004-04-10  Baris Cicek <baris@teamforce.name.tr>

	* configure.in: Added tr to ALL_LINGUA
	
2004-04-09  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-04-08  Adam Weinberger  <adamw@gnome.org>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-02-09  Yuriy Syrota  <rasta@cvs.gnome.org>

	* configure.in: Added "uk" (Ukrainian) to ALL_LINGUAS.

2004-03-24  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	"testable" code ..
	* src/net/Makefile.am:
	* src/net/monkey-network-game.c: (what_bubble), (bubble_sticked),
	(game_lost), (bubbles_exploded), (create_monkey), (start_new_game):
	* src/ui/game-network-player.c: (idle_draw_win), (recv_winlost),
	(game_network_player_new):

2004-03-12  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	more network code
	* src/net/mn-game-manager.c: (recv_ready_state), (recv_start_game),
	(recv_xml_message):
	* src/net/monkey-message-handler.c: (parse_waiting_added):
	* src/net/monkey-network-game.c: (game_lost), (bubbles_exploded),
	(update_idle), (monkey_network_game_new):
	* src/ui/network-game-launcher.c: (start_signal),
	(start_game_idle):

2004-03-11  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in: Added pt_BR to ALL_LINGUAS.

2004-03-11  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        debian directory update
	maintened by tom <thomas.cataldo@aliacom.fr> 

	changelog in debian/changelog
	
	* debian/changelog:
	* debian/control:
	* debian/menu:
	* debian/monkey-srv.sgml:
	* debian/rules:

2004-03-11  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	more network code
	board patch
	removed unused files
	* src/monkey/board.c: (board_stick_bubble):
	* src/monkey/monkey.c: (monkey_new_level_from_file), (monkey_new),
	(monkey_update), (monkey_add_bubbles), (monkey_add_bubbles_at):
	* src/monkey/monkey.h:
	* src/monkey/shooter.c: (shooter_set_angle):
	* src/net/iclient-handler-observer.c:
	* src/net/main.c: (main):
	* src/net/monkey-marshal.list:
	* src/net/monkey-message-handler.c:
	(monkey_message_handler_class_init), (parse_message), (read_chunk),
	(monkey_message_handler_send_waiting_added), (parse_waiting_added),
	(monkey_message_handler_send_bubble_array), (parse_bubble_array),
	(monkey_message_handler_send_winlost), (parse_winlost):
	* src/net/monkey-message-handler.h:
	* src/net/monkey-network-game.c: (add_bubble), (recv_shoot),
	(bubble_added), (bubble_sticked), (game_lost), (bubbles_exploded),
	(bubble_shot), (create_monkey), (update_client), (update_idle),
	(start_update_thread), (start_new_game), (monkey_network_game_new):
	* src/net/monkey-network.h:
	* src/net/monkey-server.c:
	* src/net/monkey-server.h:
	* src/ui/game-2-player.c: (game_2_player_new),
	(game_2_player_bubbles_exploded):
	* src/ui/game-network-player-manager.c: (start_timeout),
	(recv_add_bubble), (recv_bubble_array):
	* src/ui/game-network-player.c:
	(game_network_player_instance_init),
	(game_network_player_finalize), (game_network_player_get_type),
	(game_network_player_bubble_sticked),
	(game_network_player_config_notify), (add_bubble),
	(recv_add_bubble), (recv_waiting_added),
	(game_network_player_bubble_shot), (game_network_player_new),
	(game_network_player_conf_keyboard),
	(game_network_player_key_pressed),
	(game_network_player_key_released), (game_network_player_timeout),
	(get_time), (time_paused), (time_unpaused), (time_init),
	(game_network_player_start), (game_network_player_stop),
	(game_network_player_is_lost), (game_network_player_get_score),
	(game_network_player_pause), (game_network_player_get_state),
	(game_network_player_game_lost),
	(game_network_player_bubbles_exploded),
	(game_network_player_add_to_score),
	(game_network_player_fire_changed):

2004-03-10  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	remove network test client
	* src/net/Makefile.am:
	* src/net/test-client.c:

2004-03-10  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	added debian directory maintened by 
	tom <thomas.cataldo@aliacom.fr>

	more and more network code
	some .cvsignore update

	* .cvsignore:
	* debian/changelog:
	* debian/compat:
	* debian/control:
	* debian/copyright:
	* debian/menu:
	* debian/monkey-bubble.sgml:
	* debian/monkey-bubble.xpm:
	* debian/postinst:
	* debian/prerm:
	* debian/rules:
	* sounds/.cvsignore:
	* src/net/.cvsignore:
	* src/net/monkey-message-handler.c: (parse_message),
	(monkey_message_handler_send_shoot), (parse_shoot):
	* src/net/monkey-network-game.c: (recv_shoot), (start_new_game):
	* src/ui/game-network-player-manager.c: (start_timeout),
	(game_network_player_manager_start):
	* src/ui/game-network-player.c: (add_bubble), (recv_add_bubble):

2004-03-09  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	the glade file with network menu item so everybody
	can look easily the network code progress
	* data/monkey-bubble.glade:

2004-03-09  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	more new network code .. 

	* src/monkey/color.h:
	* src/net/mn-game-manager.c: (add_client_to_game):
	* src/net/monkey-marshal.list:
	* src/net/monkey-message-handler.c:
	(monkey_message_handler_class_init), (parse_message),
	(parse_xml_message), (handler_loop), (monkey_message_handler_join),
	(monkey_message_handler_send_bubble_array), (parse_bubble_array),
	(monkey_message_handler_send_add_bubble), (parse_add_bubble),
	(monkey_message_handler_send_shoot),
	(monkey_message_handler_send_winlost),
	(monkey_message_handler_send_start):
	* src/net/monkey-message-handler.h:
	* src/net/monkey-network-game.c: (start_new_game),
	(monkey_network_game_new):
	* src/net/monkey-network-game.h:
	* src/ui/game-network-player-manager.c:
	(game_network_player_manager_new),
	(game_network_player_manager_start_level), (start_timeout),
	(recv_add_bubble), (recv_start), (recv_bubble_array),
	(game_network_player_manager_start):
	* src/ui/game-network-player-manager.h:
	* src/ui/game-network-player.c: (recv_add_bubble),
	(game_network_player_bubble_shot), (game_network_player_new):
	* src/ui/game-network-player.h:
	* src/ui/network-game-launcher.c: (start_game_idle):

2004-03-05  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some new network code
	+ some code clean up et reindent
	* data/Makefile.am:
	* src/net/mn-game-manager.c: (disconnect_client),
	(send_client_join_game), (add_client_to_game), (send_init_reply),
	(recv_init_message), (recv_xml_message), (send_game_list),
	(send_start_game_to_client), (send_start_game), (start_game),
	(create_client):
	* src/net/monkey-network-game.c: (start_new_game),
	(monkey_network_game_new):
	* src/net/monkey-network-game.h:
	* src/ui/Makefile.am:
	* src/ui/game-2-player.c: (game_2_player_instance_init),
	(game_2_player_finalize), (game_2_player_class_init),
	(game_2_player_get_type), (game_2_player_config_notify),
	(game_2_player_new), (game_2_player_conf_keyboard),
	(game_2_player_key_pressed), (game_2_player_key_released),
	(game_2_player_timeout), (get_time), (time_paused),
	(time_unpaused), (time_init), (game_2_player_start),
	(game_2_player_stop), (game_2_player_connect_input),
	(game_2_player_disconnect_input), (game_2_player_pause),
	(game_2_player_get_state), (game_2_player_game_lost),
	(game_2_player_bubbles_exploded), (game_2_player_add_bubble),
	(game_2_player_bubble_shot), (game_2_player_bubble_sticked),
	(game_2_player_fire_changed):
	* src/ui/game-network-player-manager.c:
	(game_network_player_manager_instance_init),
	(game_network_player_manager_class_init),
	(game_network_player_manager_get_type),
	(game_network_player_manager_new), (startnew_function),
	(restart_function), (game_network_player_manager_finalize),
	(game_network_player_manager_game_manager_iface_init),
	(game_network_player_manager_state_changed),
	(game_network_player_manager_start_level),
	(game_network_player_manager_start),
	(game_network_player_manager_stop):
	* src/ui/game-network-player-manager.h:
	* src/ui/game-network-player.c:
	(game_network_player_instance_init),
	(game_network_player_finalize), (game_network_player_class_init),
	(game_network_player_get_type),
	(game_network_player_bubble_sticked),
	(game_network_player_config_notify), (game_network_player_new),
	(game_network_player_conf_keyboard),
	(game_network_player_key_pressed),
	(game_network_player_key_released), (game_network_player_timeout),
	(get_time), (time_paused), (time_unpaused), (time_init),
	(game_network_player_start), (game_network_player_stop),
	(game_network_player_is_lost), (game_network_player_get_score),
	(game_network_player_pause), (game_network_player_get_state),
	(game_network_player_game_lost),
	(game_network_player_bubbles_exploded),
	(game_network_player_add_to_score),
	(game_network_player_add_bubble),
	(game_network_player_bubble_shot),
	(game_network_player_fire_changed):
	* src/ui/game-network-player.h:
	* src/ui/network-game-launcher.c: (network_game_launcher_new),
	(connect_server_signal), (send_disconnect), (quit_server_signal),
	(send_ready_state), (ready_signal), (send_start), (start_signal),
	(send_init), (update_players_list_idle), (recv_player_list),
	(start_game_idle), (start_game), (recv_network_xml_message),
	(connect_server):
	* src/ui/network-game.c:
	* src/ui/network-game.h:
	* src/ui/network-ui.c:
	* src/ui/network-ui.h:
	* src/ui/ui-main.c: (ui_main_get_type), (ui_main_get_instance),
	(ui_main_new), (ui_main_draw_main), (ui_main_get_canvas),
	(ui_main_get_window), (ui_main_finalize), (ui_main_class_init),
	(ui_main_init), (ui_main_new_1_player_game),
	(ui_main_new_2_player_game), (ui_main_set_game_manager),
	(ui_main_enabled_games_item), (new_1_player_game),
	(new_2_player_game), (quit_program), (pause_game),
	(ui_main_stop_game), (stop_game), (ui_main_get_main_image),
	(ui_main_set_game), (ui_main_game_changed), (new_network_game),
	(show_preferences_dialog), (about), (show_help_content),
	(show_error_dialog):
	* src/ui/ui-main.h:

2004-03-01  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	some update to the network code.

	* data/netgame.glade:
	* src/net/mn-game-manager.c: (connect_client), (disconnect_client),
	(client_connection_closed), (is_unique_client_name),
	(add_client_to_game), (remove_client_to_game),
	(get_network_client_by_handler), (get_network_client_by_client_id),
	(init_client), (send_game_list_to_client), (send_game_list),
	(mn_game_manager_new), (create_client):
	* src/net/monkey-message-handler.c: (monkey_message_handler_new),
	(monkey_message_handler_finalize),
	(monkey_message_handler_instance_init),
	(monkey_message_handler_class_init), (parse_message),
	(parse_xml_message), (monkey_message_handler_disconnect),
	(write_chunk), (read_chunk), (monkey_message_handler_send_message),
	(monkey_message_handler_send_xml_message):
	* src/net/monkey-message-handler.h:
	* src/ui/network-game-launcher.c: (network_game_launcher_new),
	(status_idle), (set_status_message), (connect_server_signal),
	(free_network_client), (quit_server_signal),
	(recv_network_init_message), (update_players_list_idle),
	(update_players_list), (recv_network_xml_message),
	(set_sensitive_true_idle), (set_sensitive_false_idle),
	(set_sensitive), (connect_server),
	(network_game_launcher_finalize),
	(network_game_launcher_instance_init):

2004-02-22  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2004-02-21  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2004-02-17  Laurent belmonte  <bellau@cvs.gnome.org>

	just some little new lines ..
	* configure.in:
	* src/net/Makefile.am:
	* src/net/mn-game-manager.c: (init_client), (create_client):
	* src/net/monkey-message-handler.c:
	(monkey_message_handler_send_xml_message):

2004-02-08  Robert Sedak  <robert.sedak@sk.htnet.hr>
 
         * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

2004-02-03  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added "cs" (Czech) to ALL_LINGUAS.

2004-02-03  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        Begin of the new network implementation
	* configure.in:
	* data/netgame.glade:
	* src/Makefile.am:
	* src/net/Makefile.am:
	* src/net/client-handler.c:
	* src/net/client-handler.h:
	* src/net/main.c: (main):
	* src/net/mn-game-manager.c: (init_client), (get_next_client_id),
	(mn_game_manager_new), (init_server_socket), (create_client),
	(server_main_loop), (mn_game_manager_join),
	(mn_game_manager_start_server), (mn_game_manager_finalize),
	(mn_game_manager_instance_init), (mn_game_manager_class_init),
	(mn_game_manager_get_type):
	* src/net/mn-game-manager.h:
	* src/net/monkey-client.c:
	* src/net/monkey-client.h:
	* src/net/monkey-marshal.list:
	* src/net/monkey-message-handler.c: (monkey_message_handler_new),
	(monkey_message_handler_finalize),
	(monkey_message_handler_instance_init),
	(monkey_message_handler_class_init),
	(monkey_message_handler_get_type), (parse_message), (handler_loop),
	(monkey_message_handler_start_listening), (write_chunk),
	(read_chunk), (monkey_message_handler_send_message),
	(monkey_message_handler_join):
	* src/net/monkey-message-handler.h:
	* src/net/monkey-message.h:
	* src/net/monkey-network-game.c: (start_waiting_connect_loop),
	(monkey_network_game_new), (monkey_network_game_finalize),
	(monkey_network_game_instance_init),
	(monkey_network_game_class_init), (monkey_network_game_get_type):
	* src/net/monkey-network-game.h:
	* src/net/test-client.c: (recv_message), (main):
	* src/ui/Makefile.am:
	* src/ui/network-game-launcher.c: (network_game_launcher_new),
	(connect_server_signal), (recv_network_init_message),
	(connect_server), (network_game_launcher_finalize),
	(network_game_launcher_instance_init),
	(network_game_launcher_class_init),
	(network_game_launcher_get_type):
	* src/ui/network-game-launcher.h:
	* src/ui/ui-main.c: (ui_main_new), (new_network_game):
	* src/view/monkey-view.c: (hurry_up):

2004-02-02  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2004-01-30  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	Migration to gnome cvs
	fix build after the import
	* Makefile.am:
	* configure.in:
	* src/monkey/monkey-marshal.list:

2004-01-20  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        new bubble animation
	Hurry up message
	* pixmaps/Makefile.am:
	* pixmaps/hurry_up.svg:
	* pixmaps/left_monkey.svg:
	* pixmaps/monkeys.svg:
	* pixmaps/right_monkey.svg:
	* src/monkey/.cvsignore:
	* src/monkey/board.c: (board_get_cell):
	* src/monkey/monkey.c: (monkey_class_init),
	(monkey_new_level_from_file), (monkey_shoot), (monkey_update),
	(monkey_bubble_sticked):
	* src/monkey/monkey.h:
	* src/view/monkey-view.c: (monkey_view_shooter_shoot), (hurry_up),
	(monkey_view_new), (monkey_view_update), (animate_waiting_bubble),
	(monkey_view_shooter_bubble_added), (monkey_view_draw_lost),
	(monkey_view_draw_win):

2004-01-19  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	final correctin i hope
	* data/Makefile.am:

2004-01-19  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	makefile correction ..
	for distcheck
	* data/Makefile.am:
	* src/audio/Makefile.am:
	* src/net/Makefile.am:
	* src/ui/Makefile.am:
	* src/view/Makefile.am:

2004-01-19  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	0.1.9 release
	* configure.in:

2004-01-19  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        This patch prevents monkey-bubble from stomping
	on memory it doesn'town.# Adam
	
	* src/audio/sound-manager.c: (start_play):
	* src/monkey/bubble.c: (bubble_collide_bubble):

	Make control keys first in the list
	* src/ui/keyboard-properties.c:

2004-01-16  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	new background for 2 player game
	* pixmaps/layout_2_players.svg:

2004-01-16  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	new bubbles with symbol inside
	* pixmaps/bubbles/bubble_01.svg:
	* pixmaps/bubbles/bubble_02.svg:
	* pixmaps/bubbles/bubble_03.svg:
	* pixmaps/bubbles/bubble_04.svg:
	* pixmaps/bubbles/bubble_05.svg:
	* pixmaps/bubbles/bubble_06.svg:
	* pixmaps/bubbles/bubble_07.svg:
	* pixmaps/bubbles/bubble_08.svg:

2004-01-16  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        oupss .. forget some image in the makefile.am..
	* pixmaps/Makefile.am:

2004-01-15  Laurent Belmonte  <laurent.belmonte@aliacom.fr>
        
	fix automake/autoconf script
	the library are no more installed for nothing
	* configure.in:
	* src/audio/Makefile.am:
	* src/monkey/Makefile.am:
	* src/ui/Makefile.am:
	* src/util/Makefile.am:
	* src/view/Makefile.am:

2004-01-14  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

          update schema and update menu accelerator
	* data/monkey-bubble.schemas.in:
	* src/ui/keyboard-properties.c: (keyboard_properties_get_instance),
	(keyboard_properties_new), (binding_from_string),
	(binding_from_value):
	* src/ui/ui-main.c: (ui_main_new), (new_1_player_game),
	(pause_game):

2004-01-14  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        fix the new dialog
	* data/keybinding.glade:
	* src/ui/keyboard-properties.c: (edit_keys_dialog_new):

2004-01-14  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        Lot of things :
        add animate harm for the monkey
	temporize buubles which fall
	temporize star animation

	first version of the new keybinding dialog using
	libegg

	remove of menu entry resume/pause for only one
	entry

	dont disable new game entry when a game
	is playing
	
	* data/keybinding.glade:
	* data/monkey-bubble.glade:
	* pixmaps/Makefile.am:
	* pixmaps/harm.svg:
	* pixmaps/harm_down.svg:
	* pixmaps/harm_shoot.svg:
	* pixmaps/harm_up.svg:
	* src/audio/sound-manager.c: (sound_manager_active_sound),
	(stop_play), (start_play):
	* src/audio/sound-manager.h:
	* src/monkey/monkey.c: (monkey_class_init),
	(monkey_update_shooter):
	* src/monkey/monkey.h:
	* src/ui/Makefile.am:
	* src/ui/eggaccelerators.c: (is_alt), (is_ctl), (is_modx),
	(is_ctrl), (is_shft), (is_shift), (is_control), (is_release),
	(is_meta), (is_super), (is_hyper), (egg_accelerator_parse_virtual),
	(egg_virtual_accelerator_name),
	(egg_keymap_resolve_virtual_modifiers),
	(egg_keymap_virtualize_modifiers), (reload_modmap),
	(egg_keymap_get_modmap):
	* src/ui/eggaccelerators.h:
	* src/ui/eggcellrendererkeys.c: (egg_cell_renderer_keys_get_type),
	(egg_cell_renderer_keys_init),
	(marshal_VOID__STRING_UINT_FLAGS_UINT),
	(egg_cell_renderer_keys_class_init), (egg_cell_renderer_keys_new),
	(egg_cell_renderer_keys_finalize),
	(convert_keysym_state_to_string),
	(egg_cell_renderer_keys_get_property),
	(egg_cell_renderer_keys_set_property), (is_modifier),
	(egg_cell_renderer_keys_get_size), (grab_key_callback),
	(ungrab_stuff), (pointless_eventbox_start_editing),
	(pointless_eventbox_cell_editable_init),
	(pointless_eventbox_subclass_get_type),
	(egg_cell_renderer_keys_start_editing),
	(egg_cell_renderer_keys_set_accelerator),
	(egg_cell_renderer_keys_get_accelerator),
	(egg_cell_renderer_keys_set_accel_mode):
	* src/ui/eggcellrendererkeys.h:
	* src/ui/game-1-player-manager.c: (game_1_player_manager_stop):
	* src/ui/game-1-player.c: (game_1_player_new),
	(game_1_player_conf_keyboard), (game_1_player_stop):
	* src/ui/game-2-player.c: (game_2_player_new),
	(game_2_player_conf_keyboard):
	* src/ui/keyboard-properties.c: (keyboard_properties_get_instance),
	(keyboard_properties_show), (keyboard_properties_get_accel_group),
	(keyboard_properties_new), (keyboard_properties_finalize),
	(keyboard_properties_class_init), (keyboard_properties_init),
	(keyboard_properties_init_accel_group), (update_model_foreach),
	(keys_change_notify), (accel_changed_callback),
	(mnemonics_change_notify), (menu_accels_change_notify),
	(binding_from_string), (binding_from_value), (binding_name),
	(sync_handler), (queue_gconf_sync), (accel_set_func),
	(name_compare_func), (accel_compare_func),
	(remove_from_list_callback), (accel_edited_callback),
	(disable_mnemonics_toggled), (disable_menu_accels_toggled),
	(real_start_editing_cb), (start_editing_cb),
	(edit_keys_dialog_new), (update_menu_accel_state):
	* src/ui/keyboard-properties.h:
	* src/ui/main.c: (main):
	* src/ui/ui-main.c: (ui_main_new), (ui_main_new_1_player_game),
	(ui_main_new_2_player_game), (ui_main_enabled_games_item),
	(pause_game), (ui_main_stop_game), (stop_game), (ui_main_set_game),
	(ui_main_game_changed), (show_preferences_dialog):
	* src/ui/update-from-egg.sh:
	* src/view/monkey-view.c: (monkey_view_set_harm),
	(monkey_view_shooter_down), (monkey_view_shooter_up),
	(monkey_view_shooter_center), (monkey_view_shooter_shoot),
	(monkey_view_new), (monkey_view_update),
	(monkey_view_animate_stars), (monkey_view_add_explode_stars):

2004-01-13  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	0.1.8 release
	fix icon for gnome menu
	* configure.in:
	* debian/changelog:
	* monkey-bubble.desktop.in:
	* pixmaps/Makefile.am:
	* pixmaps/monkey-bubble-icon.png:

2004-01-13  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	the sound is not looping
	* src/audio/sound-manager.c: (start_play):

2004-01-09  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	remove gst-audio for the moment because is unused
	gdk-canvas to monkey-canva
        gdk-view   to monkey-view as suggested by
        Mark McLoughlin <mark@skynet.ie> 
	* configure.in:
	* src/audio/Makefile.am:
	* src/audio/gst-audio.c:
	* src/audio/gst-audio.h:
	* src/audio/sound-manager.c:
	* src/audio/sound-manager.h:
	* src/audio/test.c:
	* src/ui/Makefile.am:
	* src/ui/game-1-player-manager.c: (game_1_player_manager_new),
	(game_1_player_manager_start_level), (game_1_player_manager_stop):
	* src/ui/game-1-player-manager.h:
	* src/ui/game-1-player.c: (game_1_player_new),
	(game_1_player_timeout), (game_1_player_pause),
	(game_1_player_game_lost), (game_1_player_bubbles_exploded),
	(game_1_player_add_to_score):
	* src/ui/game-1-player.h:
	* src/ui/game-2-player-manager.c: (game_2_player_manager_new),
	(game_2_player_manager_restart), (game_2_player_manager_stop):
	* src/ui/game-2-player-manager.h:
	* src/ui/game-2-player.c: (game_2_player_new),
	(game_2_player_timeout), (game_2_player_pause),
	(game_2_player_game_lost), (game_2_player_bubbles_exploded):
	* src/ui/game-2-player.h:
	* src/ui/main.c:
	* src/ui/ui-main.c: (ui_main_new), (ui_main_draw_main),
	(ui_main_get_canvas), (ui_main_new_1_player_game),
	(ui_main_new_2_player_game), (stop_game):
	* src/ui/ui-main.h:
	* src/view/Makefile.am:
	* src/view/gdk-canvas.c:
	* src/view/gdk-canvas.h:
	* src/view/gdk-view.c:
	* src/view/gdk-view.h:
	* src/view/monkey-canvas.c: (monkey_canvas_instance_init),
	(monkey_canvas_finalize), (monkey_canvas_class_init),
	(monkey_canvas_get_type), (monkey_canvas_new),
	(block_get_position), (monkey_canvas_configure),
	(monkey_canvas_scale_image_ghfunc), (monkey_canvas_scale_images),
	(monkey_canvas_expose), (monkey_canvas_draw),
	(monkey_canvas_create_block_from_image),
	(monkey_canvas_create_block), (monkey_canvas_load_image_from_path),
	(image_scale), (create_pixbuf_normal), (create_pixbuf_svg),
	(image_create_pixbuf), (monkey_canvas_get_root_layer),
	(monkey_canvas_append_layer), (monkey_canvas_new_layer),
	(monkey_canvas_add_block), (block_set_position),
	(block_get_rectangle), (monkey_canvas_move_block),
	(monkey_canvas_remove_block), (monkey_canvas_unref_block),
	(layer_draw), (block_draw), (layer_delete), (monkey_canvas_clear),
	(monkey_canvas_paint):
	* src/view/monkey-canvas.h:
	* src/view/monkey-view.c: (monkey_view_load_shooter_images),
	(monkey_view_new), (monkey_view_update),
	(monkey_view_animate_stars), (monkey_view_instance_init),
	(monkey_view_finalize), (monkey_view_free_map),
	(monkey_view_class_init), (monkey_view_get_type),
	(monkey_view_bubble_changed), (monkey_view_shooter_rotated),
	(monkey_view_shooter_bubble_added), (monkey_view_create_bubble),
	(monkey_view_board_down), (monkey_view_bubbles_exploded),
	(monkey_view_draw_lost), (monkey_view_add_explode_stars),
	(monkey_view_create_gem), (monkey_view_clear_gems),
	(monkey_view_set_gems_count), (monkey_view_create_number),
	(monkey_view_clear_score), (monkey_view_set_score),
	(monkey_view_clear_points), (monkey_view_set_points),
	(monkey_view_create_little_waiting),
	(monkey_view_create_big_waiting), (monkey_view_clear_waiting),
	(monkey_view_set_waiting_bubbles), (monkey_view_draw_win),
	(monkey_view_bubbles_inserted), (monkey_view_bubbles_added),
	(monkey_view_bubbles_waiting_changed):
	* src/view/monkey-view.h:

2004-01-08  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

        help doc done by tom <thomas.cataldo@aliacom.fr>
	* Makefile.am:
	* configure.in:
	* data/monkey-bubble.glade:
	* help/.cvsignore:
	* help/C/.cvsignore:
	* help/C/Makefile.am:
	* help/C/monkey-bubble-C.omf:
	* help/C/monkey-bubble.xml:
	* help/Makefile.am:
	* help/fr/.cvsignore:
	* help/fr/Makefile.am:
	* help/fr/monkey-bubble-fr.omf:
	* help/fr/monkey-bubble.xml:
	* help/omf.make:
	* help/xmldocs.make:
	* src/ui/Makefile.am:
	* src/ui/main.c: (main):
	* src/ui/ui-main.c: (ui_main_new), (about), (show_help_content),
	(show_error_dialog):

2004-01-07  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	make the song loop
	* src/audio/sound-manager.c: (eos), (stop_play):

2004-01-07  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

         fix autogen.sh to use gnome-autogen
	 fix some makefile
	done by tom	
	* autogen.sh:
	* src/audio/Makefile.am:
	* src/monkey/Makefile.am:

	a try to make the music loop
	* src/audio/sound-manager.c: (eos), (start_play):


2004-01-07  Thomas Cataldo  <thomas.cataldo@aliacom.fr>

	* src/monkey/Makefile.am: fix marshallers build

2004-01-06  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

         Remove the web site from the cvs
	Add the soungs and the code to play the songs
	+ some bugfix in rounding double
	* Makefile.am:
	* configure.in:
	* html/.cvsignore:
	* html/Makefile:
	* html/README:
	* html/css/monkey-bubble.css:
	* html/downloads.xml:
	* html/header.xml:
	* html/index.xml:
	* html/links.xml:
	* html/mb.png:
	* html/menu.xml:
	* html/monkey-bubble-0.1.3-gentoo.tar.bz2:
	* html/monkey-bubble.css:
	* html/monkey-bubble.xsl:
	* html/monkey.png:
	* html/roadmap.xml:
	* html/scr-1-player.png:
	* html/scr-2-players.png:
	* html/scr-red-splash.png:
	* html/scr-stars.png:
	* html/screenshots.xml:
	* html/status.xml:
	* html/thumb-scr-1-player.png:
	* html/thumb-scr-2-players.png:
	* html/thumb-scr-red-splash.png:
	* html/thumb-scr-stars.png:
	* html/whatis.xml:
	* sounds/Makefile.am:
	* sounds/game.ogg:
	* sounds/splash.ogg:
	* src/audio/Makefile.am:
	* src/audio/sound-manager.c: (sound_manager_instance_init),
	(sound_manager_finalize), (sound_manager_class_init),
	(sound_manager_get_type), (error_handler), (eos),
	(sound_manager_new), (stop_play), (start_play),
	(sound_manager_play_music_file):
	* src/audio/sound-manager.h:
	* src/monkey/board.c: (board_get_cell):
	* src/ui/Makefile.am:
	* src/ui/main.c: (main):
	* src/ui/ui-main.c: (ui_main_new), (ui_main_new_1_player_game),
	(ui_main_new_2_player_game), (stop_game):
	* src/view/gdk-canvas.c: (gdk_canvas_scale_image_ghfunc):

2004-01-02  Laurent Belmonte  <lolo3d@tuxfamily.org>

	New gfx from olivier
	* pixmaps/layout_1_player.svg:
	* pixmaps/number/0.svg:
	* pixmaps/number/1.svg:
	* pixmaps/number/2.svg:
	* pixmaps/number/3.svg:
	* pixmaps/number/4.svg:
	* pixmaps/number/5.svg:
	* pixmaps/number/6.svg:
	* pixmaps/number/7.svg:
	* pixmaps/number/8.svg:
	* pixmaps/number/9.svg:
	* src/ui/game-1-player.c:
	* src/view/gdk-view.c: (gdk_view_set_points):

2004-01-02  Laurent Belmonte  <lolo3d@tuxfamily.org>

	fix schema registration from Joe Marcus Clarke
	* data/Makefile.am:

	GFX Update 
	* pixmaps/layout_1_player.svg:

	UI fix
	* src/ui/ui-main.c:

2003-12-22  Laurent Belmonte  <lolo3d@tuxfamily.org>

        0.1.7 release
	* configure.in:

	A splash screen + correction on 
	background images
	* pixmaps/Makefile.am:
	* pixmaps/layout_1_player.svg:
	* pixmaps/layout_2_players.svg:
	* pixmaps/splash.svg:

	Add monkey-marshall.list to the dist list
	* src/monkey/Makefile.am:

	correction to make the splash working
	* src/ui/ui-main.c: (ui_main_new), (ui_main_draw_main),
	* src/view/gdk-canvas.c: (gdk_canvas_configure),
	
2003-12-19  Laurent Belmonte  <lolo3d@tuxfamily.org>

	prepare for a new release

	fix glade file, need some translation
	* data/monkey-bubble.glade:

	fix size rounding
	* src/view/gdk-canvas.c:

2003-12-19  Laurent Belmonte  <lolo3d@tuxfamily.org>

	Adaptation of the 1 player background for the score
	management
	* pixmaps/layout_1_player.svg:

	* src/ui/game-1-player.c: (game_1_player_bubble_sticked):

2003-12-18  Laurent Belmonte  <lolo3d@tuxfamily.org>

        Change validate buttom to Close
	* data/keybinding.glade:

	update the roadmap
	* html/roadmap.html:

        begin of score management
	* pixmaps/layout_1_player.svg:
	* src/ui/game-1-player-manager.c:
	* src/ui/game-1-player.c:
	* src/ui/game-1-player.h:
	* src/view/gdk-view.c:
	* src/view/gdk-view.h:

2003-12-18  Laurent Belmonte  <lolo3d@tuxfamily.org>

	keybinding Gnome HIG compliant
	submitted by Hellen Claggett
	* data/keybinding.glade:

	css update
	* html/css/monkey-bubble.css:

2003-10-27  Laurent Belmonte  <lolo3d@tuxfamily.org>

	new gfx effect :)
	* pixmaps/Makefile.am:
	* pixmaps/star.svg:
	* src/view/gdk-view.c:

2003-10-24  Laurent Belmonte  <lolo3d@tuxfamily.org>

	some clean up
	* pixmaps/frozen-bubble/Makefile.am:
	* pixmaps/frozen-bubble/data:
	* resources/gfx/frozen-bubble/data:
	* src/monkey/monkey-marshal.list:
	* src/monkey/shooter.c: 
	* src/ui/Makefile.am:
	* src/ui/game-1-player.c:
	* src/ui/game-2-player.c:
	* src/ui/game.c:
	* src/ui/main.c:
	* src/ui/ui-main.c:
	* src/view/gdk-view.c:
	* src/view/gdk-view.h:

2003-10-24  Laurent Belmonte  <lolo3d@tuxfamily.org>

	glibazation
	* configure.in:
	* debian/changelog:
	* debian/control:
	* src/Makefile.am:
	* src/monkey/Makefile.am:
	* src/monkey/board.c:
	* src/monkey/bubble.c: 
	* src/monkey/bubble.h:
	* src/monkey/iboard-observer.c:
	* src/monkey/ibubble-observer.c:
	* src/monkey/imonkey-observer.c:
	* src/monkey/iplayground-observer.c:
	* src/monkey/ishooter-observer.c:
	* src/monkey/monkey.c: 
	* src/monkey/monkey.h:
	* src/monkey/playground.c:
	* src/monkey/playground.h:
	* src/monkey/shooter.c: 
	* src/monkey/shooter.h:
	* src/ui/Makefile.am:
	* src/ui/game-1-player-manager.c: 
	* src/ui/game-1-player.c:
	* src/ui/game-1-player.h:
	* src/ui/game-2-player-manager.c: 
	* src/ui/game-2-player.c:
	* src/ui/game-2-player.h:
	* src/ui/game.c:
	* src/ui/game.h:
	* src/ui/igame-observer.c:
	* src/ui/ui-main.c:

2003-10-13  Laurent Belmonte  <lolo3d@tuxfamily.org>


	* data/monkey-bubble.glade: fix error made with gnome
	version of glade-2
	* src/audio/gst-audio.c: gstreamer test ..
	* src/audio/test.c: (key_pressed):

	fix crash on window close
	* src/ui/ui-main.c: (ui_main_new): 

2003-10-11  Sven Herzberg  <herzi@gnome-de.org>

	* src/audio/Makefile.am: gst-audio is not going to be installed from
	now on

2003-10-07  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: added es and eu to ALL_LINGUAS

2003-10-07  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	new pause pixmap
	try and try again to get sound with gstreamer.. 

	* pixmaps/pause.svg:
	* src/audio/gst-audio.c: (eos), (gst_audio_create_channel),
	(gst_audio_idle), (gst_audio_new), (gst_audio_play_shoot):
	* src/audio/gst-audio.h:
	* src/audio/test.c: (key_pressed), (main):
	* src/ui/game-1-player.c: (game_1_player_new),
	(game_1_player_pause):
	* src/ui/game-2-player.c: (game_2_player_new),
	(game_2_player_pause):

003-10-06  Laurent Belmonte  <lolo3d@tuxfamily.org>

	update web site
	* configure.in:
	* html/downloads.html:
	* html/index.html:
	* html/links.html:
	* po/de.po:
	* po/fr.po:
	
	fix gcc 2.95 compilation
	* src/view/gdk-view.c: (gdk_view_set_score):

2003-10-06  Laurent Belmonte  <lolo3d@tuxfamily.org>

	added french translation
	added keybinding configuration dialog
	( need some i18n)
	* AUTHORS:
	* configure.in:
	* data/Makefile.am:
	* data/keybinding.glade:
	* data/monkey-bubble.glade:
	* html/downloads.html:
	* pixmaps/Makefile.am:
	* pixmaps/monkey.png:
	* po/ChangeLog:
	* po/fr.po:
	* src/ui/Makefile.am:
	* src/ui/keyboard-properties.c: (keyboard_properties_get_type),
	(keyboard_properties_show_instance), (keyboard_properties_new),
	(define_key), (on_close), (on_close_dialog),
	(keyboard_properties_finalize), (keyboard_properties_class_init),
	(keyboard_properties_init):
	* src/ui/keyboard-properties.h:
	* src/ui/main.c: (main):
	* src/ui/ui-main.c: (ui_main_new), (show_preferences_dialog),
	(about):

2003-10-05  Sven Herzberg  <herzi@gnome-de.org>

	* Makefile.am,
	* data/Makefile.am: fixed make dist
	* po/POTFILES.in: added src/ui/ui-main.c (for the about dialog)
	* src/ui/ui-main.c: (ui_main_new), (ui_main_key_pressed), (about):
	added about dialog

2003-10-03  Sven Herzberg  <herzi@gnome-de.org>

	* monkey-bubble.desktop.in: fixed icon name

2003-10-03  Sven Herzberg  <herzi@gnome-de.org>

	* data/.cvsignore,
	* po/.cvsignore: silent updates

2003-10-03  Sven Herzberg  <herzi@gnome-de.org>

	* src/ui/main.c: (main): added i18n calls (de transl works now)

2003-10-03  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: added de to ALL_LINGUAS
	* data/monkey-bubble.schemas.in: fixed some c'n'p errors
	* po/ChangeLog: added transaltions changelog
	* po/de.po: added german translation
	* po/.cvsignore: silent updates

2003-10-03  Sven Herzberg  <herzi@gnome-de.org>

	the glorious "remove resources" commit :)
	if the repo is going to be imported so some other server
	once in the future please remove the resources dir before

	renamed the french images to english ones (and changed c-code
	to still work)

	added i18n capabilities to the schema and the glade file
	we should be quite well i18n-able now
	* Makefile.am:
	* configure.in:
	* data/.cvsignore:
	* data/Makefile.am:
	* data/levels:
	* data/monkey-bubble.glade:
	* data/monkey-bubble.schemas.in:
	* pixmaps/.cvsignore:
	* pixmaps/Makefile.am:
	* pixmaps/banana.svg:
	* pixmaps/bubbles/.cvsignore:
	* pixmaps/bubbles/Makefile.am:
	* pixmaps/bubbles/bubble_01.svg:
	* pixmaps/bubbles/bubble_02.svg:
	* pixmaps/bubbles/bubble_03.svg:
	* pixmaps/bubbles/bubble_04.svg:
	* pixmaps/bubbles/bubble_05.svg:
	* pixmaps/bubbles/bubble_06.svg:
	* pixmaps/bubbles/bubble_07.svg:
	* pixmaps/bubbles/bubble_08.svg:
	* pixmaps/frozen-bubble/.cvsignore:
	* pixmaps/frozen-bubble/Makefile.am:
	* pixmaps/frozen-bubble/back_hiscores.png:
	* pixmaps/frozen-bubble/data:
	* pixmaps/harm.svg:
	* pixmaps/layout_1_player.svg:
	* pixmaps/layout_2_players.svg:
	* pixmaps/looser.svg:
	* pixmaps/lost.svg:
	* pixmaps/monkey-bubble-icon.xpm:
	* pixmaps/monkeys.svg:
	* pixmaps/number/.cvsignore:
	* pixmaps/number/0.svg:
	* pixmaps/number/1.svg:
	* pixmaps/number/2.svg:
	* pixmaps/number/3.svg:
	* pixmaps/number/4.svg:
	* pixmaps/number/5.svg:
	* pixmaps/number/6.svg:
	* pixmaps/number/7.svg:
	* pixmaps/number/8.svg:
	* pixmaps/number/9.svg:
	* pixmaps/number/Makefile.am:
	* pixmaps/pane.svg:
	* pixmaps/pause.svg:
	* pixmaps/snake-body.svg:
	* pixmaps/snake/.cvsignore:
	* pixmaps/snake/Makefile.am:
	* pixmaps/snake/snake.svg:
	* pixmaps/snake/snake_-0.svg:
	* pixmaps/snake/snake_-1.svg:
	* pixmaps/snake/snake_-10.svg:
	* pixmaps/snake/snake_-11.svg:
	* pixmaps/snake/snake_-12.svg:
	* pixmaps/snake/snake_-13.svg:
	* pixmaps/snake/snake_-14.svg:
	* pixmaps/snake/snake_-15.svg:
	* pixmaps/snake/snake_-16.svg:
	* pixmaps/snake/snake_-17.svg:
	* pixmaps/snake/snake_-18.svg:
	* pixmaps/snake/snake_-19.svg:
	* pixmaps/snake/snake_-2.svg:
	* pixmaps/snake/snake_-20.svg:
	* pixmaps/snake/snake_-21.svg:
	* pixmaps/snake/snake_-22.svg:
	* pixmaps/snake/snake_-23.svg:
	* pixmaps/snake/snake_-24.svg:
	* pixmaps/snake/snake_-25.svg:
	* pixmaps/snake/snake_-26.svg:
	* pixmaps/snake/snake_-27.svg:
	* pixmaps/snake/snake_-28.svg:
	* pixmaps/snake/snake_-29.svg:
	* pixmaps/snake/snake_-3.svg:
	* pixmaps/snake/snake_-30.svg:
	* pixmaps/snake/snake_-31.svg:
	* pixmaps/snake/snake_-32.svg:
	* pixmaps/snake/snake_-33.svg:
	* pixmaps/snake/snake_-34.svg:
	* pixmaps/snake/snake_-35.svg:
	* pixmaps/snake/snake_-36.svg:
	* pixmaps/snake/snake_-37.svg:
	* pixmaps/snake/snake_-38.svg:
	* pixmaps/snake/snake_-39.svg:
	* pixmaps/snake/snake_-4.svg:
	* pixmaps/snake/snake_-40.svg:
	* pixmaps/snake/snake_-5.svg:
	* pixmaps/snake/snake_-6.svg:
	* pixmaps/snake/snake_-7.svg:
	* pixmaps/snake/snake_-8.svg:
	* pixmaps/snake/snake_-9.svg:
	* pixmaps/snake/snake_0.svg:
	* pixmaps/snake/snake_1.svg:
	* pixmaps/snake/snake_10.svg:
	* pixmaps/snake/snake_11.svg:
	* pixmaps/snake/snake_12.svg:
	* pixmaps/snake/snake_13.svg:
	* pixmaps/snake/snake_14.svg:
	* pixmaps/snake/snake_15.svg:
	* pixmaps/snake/snake_16.svg:
	* pixmaps/snake/snake_17.svg:
	* pixmaps/snake/snake_18.svg:
	* pixmaps/snake/snake_19.svg:
	* pixmaps/snake/snake_2.svg:
	* pixmaps/snake/snake_20.svg:
	* pixmaps/snake/snake_21.svg:
	* pixmaps/snake/snake_22.svg:
	* pixmaps/snake/snake_23.svg:
	* pixmaps/snake/snake_24.svg:
	* pixmaps/snake/snake_25.svg:
	* pixmaps/snake/snake_26.svg:
	* pixmaps/snake/snake_27.svg:
	* pixmaps/snake/snake_28.svg:
	* pixmaps/snake/snake_29.svg:
	* pixmaps/snake/snake_3.svg:
	* pixmaps/snake/snake_30.svg:
	* pixmaps/snake/snake_31.svg:
	* pixmaps/snake/snake_32.svg:
	* pixmaps/snake/snake_33.svg:
	* pixmaps/snake/snake_34.svg:
	* pixmaps/snake/snake_35.svg:
	* pixmaps/snake/snake_36.svg:
	* pixmaps/snake/snake_37.svg:
	* pixmaps/snake/snake_38.svg:
	* pixmaps/snake/snake_39.svg:
	* pixmaps/snake/snake_4.svg:
	* pixmaps/snake/snake_40.svg:
	* pixmaps/snake/snake_5.svg:
	* pixmaps/snake/snake_6.svg:
	* pixmaps/snake/snake_7.svg:
	* pixmaps/snake/snake_8.svg:
	* pixmaps/snake/snake_9.svg:
	* pixmaps/tomato.svg:
	* pixmaps/win.svg:
	* po/POTFILES.in:
	* resources/Makefile.am:
	* resources/data/Makefile.am:
	* resources/data/levels:
	* resources/gfx/Makefile.am:
	* resources/gfx/banane.svg:
	* resources/gfx/bubbles/Makefile.am:
	* resources/gfx/bubbles/boule_01.svg:
	* resources/gfx/bubbles/boule_02.svg:
	* resources/gfx/bubbles/boule_03.svg:
	* resources/gfx/bubbles/boule_04.svg:
	* resources/gfx/bubbles/boule_05.svg:
	* resources/gfx/bubbles/boule_06.svg:
	* resources/gfx/bubbles/boule_07.svg:
	* resources/gfx/bubbles/boule_08.svg:
	* resources/gfx/decor_1_player.svg:
	* resources/gfx/decor_2_players.svg:
	* resources/gfx/harm.svg:
	* resources/gfx/looser.svg:
	* resources/gfx/lost.svg:
	* resources/gfx/monkey-bubble-icon.xpm:
	* resources/gfx/monkeys.svg:
	* resources/gfx/panneau.svg:
	* resources/gfx/pause.svg:
	* resources/gfx/snake-body.svg:
	* resources/gfx/tomate.svg:
	* resources/gfx/win.svg:
	* resources/glade/Makefile.am:
	* resources/glade/monkey-bubble.glade:
	* resources/monkey-bubble.schemas:
	* src/net/client-handler.c: (client_handler_bubbles_exploded):
	* src/net/monkey-message.h:
	* src/ui/game-1-player.c: (game_1_player_new):
	* src/ui/game-2-player.c: (game_2_player_new):
	* src/view/gdk-view.c: (gdk_view_new), (gdk_view_create_bubble),
	(gdk_view_create_gem), (gdk_view_create_little_waiting),
	(gdk_view_create_big_waiting):

2003-10-03  Laurent Belmonte  <lolo3d@tuxfamily.org>

	web site update
	* html/downloads.html:
	* html/index.html:
	* html/links.html:
	* html/roadmap.html:
	* html/screenshots.html:
	* html/status.html:

	2 player game support gconf keybinding
	* resources/monkey-bubble.schemas:
	* src/ui/game-1-player.c:
	* src/ui/game-2-player.c: (game_2_player_finalize),
	(game_2_player_config_notify), (game_2_player_new),
	(game_2_player_conf_keyboard), (game_2_player_key_pressed),
	(game_2_player_key_released):

2003-10-03  Sven Herzberg  <herzi@gnome-de.org>

	* .cvsignore,
	* debian/.cvsignore,
	* po/.cvsignore,
	* src/.cvsignore,
	* src/audio/.cvsignore,
	* src/monkey/.cvsignore,
	* src/net/.cvsignore,
	* src/ui/.cvsignore,
	* src/util/.cvsignore,
	* src/view/.cvsignore: cvs updates more silent now
	* Makefile.am: fixed build
	* configure.in: added language support
	* po/POTFILES.in: added the .desktop.in file
	
	

2003-10-03  Sven Herzberg  <herzi@gnome-de.org>

	* Makefile.am: added desktop file and removed diasce specific stuff
	* configure.in: added some comments and intltool
	* monkey-bubble.desktop.in: template for the .desktop file (menu entry)
	WARNING: might not even pass autogen.sh (needs the next commit)

2003-10-03  Laurent Belmonte  <lolo3d@tuxfamily.org>

	web site update
	* html/css/monkey-bubble.css:
	* html/downloads.html:
	* html/index.html:
	* html/links.html:
	* html/monkey.png:
	* html/roadmap.html:
	* html/screenshots.html:
	* html/status.html:

2003-10-03  Laurent Belmonte  <lolo3d@tuxfamily.org>

	gladize main interface
	* configure.in:
	* resources/Makefile.am:
	* resources/glade/Makefile.am:
	* resources/glade/monkey-bubble.glade:
	* src/ui/ui-main.c: (ui_main_new), (ui_main_enabled_games_item),
	(ui_main_game_changed):

2003-10-03  Laurent Belmonte  <lolo3d@tuxfamily.org>

	- keybinding in gconf for player 1
	* configure.in:
	* resources/Makefile.am:
	* resources/monkey-bubble.schemas:
	* src/ui/game-1-player.c: (game_1_player_finalize),
	(game_1_player_config_notify), (game_1_player_new),
	(game_1_player_conf_keyboard), (game_1_player_key_pressed),
	(game_1_player_key_released):

2003-09-29  Laurent Belmonte  <lolo3d@tuxfamily.org>

	- some test on gstreamer
	- fix 2 player bug
	- some cleanup
	* src/audio/Makefile.am:
	* src/audio/test.c: (my_function), (main):
	* src/monkey/board.c: (board_add_bubbles):
	* src/monkey/monkey.c: (monkey_finalize), (monkey_add_waiting_row):
	* src/ui/game-1-player.c: (game_1_player_new):
	* src/ui/game-2-player-manager.c: (restart_function):
	* src/ui/game-2-player.c: (game_2_player_finalize),
	(game_2_player_new), (game_2_player_bubbles_exploded):
	* src/ui/ui-main.c: (quit_program):
	* src/view/gdk-canvas.c: (gdk_canvas_finalize),
	(gdk_canvas_create_block_from_image), (layer_delete),
	(gdk_canvas_clear):
	* src/view/gdk-view.c: (gdk_view_load_shooter_images),
	(gdk_view_finalize), (gdk_view_free_map):

2003-09-26  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	- just a icon to the main window
	- fix 2 players win-lost
	* configure.in:
	* html/index.html:
	* resources/gfx/Makefile.am:
	* resources/gfx/monkey-bubble-icon.xpm:
	* src/ui/game-2-player.c: (game_2_player_game_lost):
	* src/ui/ui-main.c: (ui_main_new):

2003-09-26  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	- less dependencies on frozen bubble gfx
	- some polish
	- some bug fix
	* configure.in:
	* debian/changelog:
	* resources/gfx/0.svg:
	* resources/gfx/1.svg:
	* resources/gfx/2.svg:
	* resources/gfx/3.svg:
	* resources/gfx/4.svg:
	* resources/gfx/5.svg:
	* resources/gfx/6.svg:
	* resources/gfx/7.svg:
	* resources/gfx/8.svg:
	* resources/gfx/9.svg:
	* resources/gfx/Makefile.am:
	* resources/gfx/frozen-bubble/Makefile.am:
	* resources/gfx/frozen-bubble/back_paused.png:
	* resources/gfx/frozen-bubble/base.png:
	* resources/gfx/frozen-bubble/base_-1.png:
	* resources/gfx/frozen-bubble/base_-10.png:
	* resources/gfx/frozen-bubble/base_-11.png:
	* resources/gfx/frozen-bubble/base_-12.png:
	* resources/gfx/frozen-bubble/base_-13.png:
	* resources/gfx/frozen-bubble/base_-14.png:
	* resources/gfx/frozen-bubble/base_-15.png:
	* resources/gfx/frozen-bubble/base_-16.png:
	* resources/gfx/frozen-bubble/base_-17.png:
	* resources/gfx/frozen-bubble/base_-18.png:
	* resources/gfx/frozen-bubble/base_-19.png:
	* resources/gfx/frozen-bubble/base_-2.png:
	* resources/gfx/frozen-bubble/base_-20.png:
	* resources/gfx/frozen-bubble/base_-21.png:
	* resources/gfx/frozen-bubble/base_-22.png:
	* resources/gfx/frozen-bubble/base_-23.png:
	* resources/gfx/frozen-bubble/base_-24.png:
	* resources/gfx/frozen-bubble/base_-25.png:
	* resources/gfx/frozen-bubble/base_-26.png:
	* resources/gfx/frozen-bubble/base_-27.png:
	* resources/gfx/frozen-bubble/base_-28.png:
	* resources/gfx/frozen-bubble/base_-29.png:
	* resources/gfx/frozen-bubble/base_-3.png:
	* resources/gfx/frozen-bubble/base_-30.png:
	* resources/gfx/frozen-bubble/base_-31.png:
	* resources/gfx/frozen-bubble/base_-32.png:
	* resources/gfx/frozen-bubble/base_-33.png:
	* resources/gfx/frozen-bubble/base_-34.png:
	* resources/gfx/frozen-bubble/base_-35.png:
	* resources/gfx/frozen-bubble/base_-36.png:
	* resources/gfx/frozen-bubble/base_-37.png:
	* resources/gfx/frozen-bubble/base_-38.png:
	* resources/gfx/frozen-bubble/base_-39.png:
	* resources/gfx/frozen-bubble/base_-4.png:
	* resources/gfx/frozen-bubble/base_-40.png:
	* resources/gfx/frozen-bubble/base_-5.png:
	* resources/gfx/frozen-bubble/base_-6.png:
	* resources/gfx/frozen-bubble/base_-7.png:
	* resources/gfx/frozen-bubble/base_-8.png:
	* resources/gfx/frozen-bubble/base_-9.png:
	* resources/gfx/frozen-bubble/base_0.png:
	* resources/gfx/frozen-bubble/base_1.png:
	* resources/gfx/frozen-bubble/base_10.png:
	* resources/gfx/frozen-bubble/base_11.png:
	* resources/gfx/frozen-bubble/base_12.png:
	* resources/gfx/frozen-bubble/base_13.png:
	* resources/gfx/frozen-bubble/base_14.png:
	* resources/gfx/frozen-bubble/base_15.png:
	* resources/gfx/frozen-bubble/base_16.png:
	* resources/gfx/frozen-bubble/base_17.png:
	* resources/gfx/frozen-bubble/base_18.png:
	* resources/gfx/frozen-bubble/base_19.png:
	* resources/gfx/frozen-bubble/base_2.png:
	* resources/gfx/frozen-bubble/base_20.png:
	* resources/gfx/frozen-bubble/base_21.png:
	* resources/gfx/frozen-bubble/base_22.png:
	* resources/gfx/frozen-bubble/base_23.png:
	* resources/gfx/frozen-bubble/base_24.png:
	* resources/gfx/frozen-bubble/base_25.png:
	* resources/gfx/frozen-bubble/base_26.png:
	* resources/gfx/frozen-bubble/base_27.png:
	* resources/gfx/frozen-bubble/base_28.png:
	* resources/gfx/frozen-bubble/base_29.png:
	* resources/gfx/frozen-bubble/base_3.png:
	* resources/gfx/frozen-bubble/base_30.png:
	* resources/gfx/frozen-bubble/base_31.png:
	* resources/gfx/frozen-bubble/base_32.png:
	* resources/gfx/frozen-bubble/base_33.png:
	* resources/gfx/frozen-bubble/base_34.png:
	* resources/gfx/frozen-bubble/base_35.png:
	* resources/gfx/frozen-bubble/base_36.png:
	* resources/gfx/frozen-bubble/base_37.png:
	* resources/gfx/frozen-bubble/base_38.png:
	* resources/gfx/frozen-bubble/base_39.png:
	* resources/gfx/frozen-bubble/base_4.png:
	* resources/gfx/frozen-bubble/base_40.png:
	* resources/gfx/frozen-bubble/base_5.png:
	* resources/gfx/frozen-bubble/base_6.png:
	* resources/gfx/frozen-bubble/base_7.png:
	* resources/gfx/frozen-bubble/base_8.png:
	* resources/gfx/frozen-bubble/base_9.png:
	* resources/gfx/frozen-bubble/shooter.png:
	* resources/gfx/frozen-bubble/win_panel_p1.png:
	* resources/gfx/lost.svg:
	* resources/gfx/number/0.svg:
	* resources/gfx/number/1.svg:
	* resources/gfx/number/2.svg:
	* resources/gfx/number/3.svg:
	* resources/gfx/number/4.svg:
	* resources/gfx/number/5.svg:
	* resources/gfx/number/6.svg:
	* resources/gfx/number/7.svg:
	* resources/gfx/number/8.svg:
	* resources/gfx/number/9.svg:
	* resources/gfx/number/Makefile.am:
	* resources/gfx/win.svg:
	* src/monkey/monkey.h:
	* src/ui/game-1-player.c: (game_1_player_timeout),
	(game_1_player_bubbles_exploded):
	* src/ui/game-2-player.c: (game_2_player_timeout):
	* src/view/gdk-view.c: (gdk_view_new), (gdk_view_draw_lost),
	(gdk_view_create_number), (gdk_view_set_score),
	(gdk_view_draw_win):

2003-09-25  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	- Workaround librsvg (new librsvg should be fixed though)
	for non-C locales

	- web site update
	* html/index.html:
	* html/monkey-bubble-0.1.3-gentoo.tar.bz2:
	* html/scr-1-player.png:
	* src/view/gdk-canvas.c: (create_pixbuf_svg):

2003-09-25  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	Some bugfix,cleanup.
	begin of the audio system
	* configure.in:
	* html/index.html:
	* resources/gfx/snake/Makefile.am:
	* src/Makefile.am:
	* src/audio/Makefile.am:
	* src/audio/gst-audio.c: (gst_audio_instance_init),
	(gst_audio_finalize), (gst_audio_class_init), (gst_audio_get_type),
	(gst_audio_new), (gst_audio_play_shoot), (gst_audio_play_rebound),
	(gst_audio_play_explose), (gst_audio_play_win),
	(gst_audio_play_lost):
	* src/audio/gst-audio.h:
	* src/monkey/monkey.c: (monkey_new_level_from_file):
	* src/ui/game-1-player-manager.c: (game_1_player_manager_get_type),
	(startnew_function), (restart_function),
	(game_1_player_manager_game_manager_iface_init),
	(game_1_player_manager_game_changed),
	(game_1_player_manager_start_level), (game_1_player_manager_start),
	(game_1_player_manager_stop):
	* src/ui/game-1-player.c: (game_1_player_new),
	(game_1_player_key_pressed), (game_1_player_key_released),
	(game_1_player_add_bubble), (game_1_player_bubble_shot):
	* src/ui/game-2-player.c: (game_2_player_new),
	(game_2_player_key_pressed), (game_2_player_key_released),
	(game_2_player_add_bubble), (game_2_player_bubble_shot):
	* src/ui/ui-main.c: (ui_main_new), (ui_main_draw_main),
	(ui_main_game_changed), (ui_main_key_pressed):
	* src/view/gdk-canvas.c: (gdk_canvas_instance_init),
	(gdk_canvas_finalize), (gdk_canvas_class_init),
	(gdk_canvas_get_type), (gdk_canvas_new), (block_get_position),
	(gdk_canvas_configure), (gdk_canvas_scale_image_ghfunc),
	(gdk_canvas_scale_images), (gdk_canvas_expose),
	(gdk_canvas_create_block_from_image), (gdk_canvas_create_block),
	(gdk_canvas_load_image_from_path), (image_scale),
	(create_pixbuf_normal), (create_pixbuf_svg), (image_create_pixbuf),
	(gdk_canvas_get_root_layer), (gdk_canvas_append_layer),
	(gdk_canvas_new_layer), (gdk_canvas_add_block),
	(block_set_position), (block_get_rectangle),
	(gdk_canvas_move_block), (gdk_canvas_remove_block),
	(gdk_canvas_unref_block), (layer_draw), (block_draw),
	(layer_delete), (gdk_canvas_clear), (gdk_canvas_paint):

2003-09-24  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	- 0.1.2 version..
	- site update
	- new snake gfx
	- patch to compile with gcc2.95 contribute by
		Thomas de Grenier de Latour <degrenier@easyconnect.fr>
	* configure.in:
	* html/index.html:
	* html/scr-1-player.png:
	* html/scr-2-players.png:
	* resources/gfx/Makefile.am:
	* resources/gfx/harm.svg:
	* resources/gfx/snake-body.svg:
	* resources/gfx/snake/snake.svg:
	* resources/gfx/snake/snake_-0.svg:
	* resources/gfx/snake/snake_-1.svg:
	* resources/gfx/snake/snake_-10.svg:
	* resources/gfx/snake/snake_-11.svg:
	* resources/gfx/snake/snake_-12.svg:
	* resources/gfx/snake/snake_-13.svg:
	* resources/gfx/snake/snake_-14.svg:
	* resources/gfx/snake/snake_-15.svg:
	* resources/gfx/snake/snake_-16.svg:
	* resources/gfx/snake/snake_-17.svg:
	* resources/gfx/snake/snake_-18.svg:
	* resources/gfx/snake/snake_-19.svg:
	* resources/gfx/snake/snake_-2.svg:
	* resources/gfx/snake/snake_-20.svg:
	* resources/gfx/snake/snake_-21.svg:
	* resources/gfx/snake/snake_-22.svg:
	* resources/gfx/snake/snake_-23.svg:
	* resources/gfx/snake/snake_-24.svg:
	* resources/gfx/snake/snake_-25.svg:
	* resources/gfx/snake/snake_-26.svg:
	* resources/gfx/snake/snake_-27.svg:
	* resources/gfx/snake/snake_-28.svg:
	* resources/gfx/snake/snake_-29.svg:
	* resources/gfx/snake/snake_-3.svg:
	* resources/gfx/snake/snake_-30.svg:
	* resources/gfx/snake/snake_-31.svg:
	* resources/gfx/snake/snake_-32.svg:
	* resources/gfx/snake/snake_-33.svg:
	* resources/gfx/snake/snake_-34.svg:
	* resources/gfx/snake/snake_-35.svg:
	* resources/gfx/snake/snake_-36.svg:
	* resources/gfx/snake/snake_-37.svg:
	* resources/gfx/snake/snake_-38.svg:
	* resources/gfx/snake/snake_-39.svg:
	* resources/gfx/snake/snake_-4.svg:
	* resources/gfx/snake/snake_-40.svg:
	* resources/gfx/snake/snake_-5.svg:
	* resources/gfx/snake/snake_-6.svg:
	* resources/gfx/snake/snake_-7.svg:
	* resources/gfx/snake/snake_-8.svg:
	* resources/gfx/snake/snake_-9.svg:
	* resources/gfx/snake/snake_0.svg:
	* resources/gfx/snake/snake_1.svg:
	* resources/gfx/snake/snake_10.svg:
	* resources/gfx/snake/snake_11.svg:
	* resources/gfx/snake/snake_12.svg:
	* resources/gfx/snake/snake_13.svg:
	* resources/gfx/snake/snake_14.svg:
	* resources/gfx/snake/snake_15.svg:
	* resources/gfx/snake/snake_16.svg:
	* resources/gfx/snake/snake_17.svg:
	* resources/gfx/snake/snake_18.svg:
	* resources/gfx/snake/snake_19.svg:
	* resources/gfx/snake/snake_2.svg:
	* resources/gfx/snake/snake_20.svg:
	* resources/gfx/snake/snake_21.svg:
	* resources/gfx/snake/snake_22.svg:
	* resources/gfx/snake/snake_23.svg:
	* resources/gfx/snake/snake_24.svg:
	* resources/gfx/snake/snake_25.svg:
	* resources/gfx/snake/snake_26.svg:
	* resources/gfx/snake/snake_27.svg:
	* resources/gfx/snake/snake_28.svg:
	* resources/gfx/snake/snake_29.svg:
	* resources/gfx/snake/snake_3.svg:
	* resources/gfx/snake/snake_30.svg:
	* resources/gfx/snake/snake_31.svg:
	* resources/gfx/snake/snake_32.svg:
	* resources/gfx/snake/snake_33.svg:
	* resources/gfx/snake/snake_34.svg:
	* resources/gfx/snake/snake_35.svg:
	* resources/gfx/snake/snake_36.svg:
	* resources/gfx/snake/snake_37.svg:
	* resources/gfx/snake/snake_38.svg:
	* resources/gfx/snake/snake_39.svg:
	* resources/gfx/snake/snake_4.svg:
	* resources/gfx/snake/snake_40.svg:
	* resources/gfx/snake/snake_5.svg:
	* resources/gfx/snake/snake_6.svg:
	* resources/gfx/snake/snake_7.svg:
	* resources/gfx/snake/snake_8.svg:
	* resources/gfx/snake/snake_9.svg:
	* src/monkey/board.c: (recursive_tag_fallen),
	(recursive_tag_exploded):
	* src/util/clock.c: (clock_pause):
	* src/view/gdk-view.c: (gdk_view_load_shooter_images),
	(gdk_view_new):

2003-09-24  Laurent Belmonte  <laurent.belmonte@aliacom.fr>

	Add new gfx, the monkeys
	* resources/gfx/Makefile.am:
	* resources/gfx/monkeys.svg:
	* src/view/gdk-view.c: (gdk_view_new):

	fix bug in the shooter
	* src/monkey/monkey.c: (monkey_new_level_from_file):
	* src/monkey/shooter.c: (shooter_add_bubble):

	client executable, ui -> monkey-bubble
	* src/ui/Makefile.am:

2003-09-23  Laurent Belmonte  <lolo3d@tuxfamily.org>
	
	The web site
	* html/index.html:
	* html/mb.png:
	* html/scr-1-player.png:
	* html/scr-2-players.png:
	* monkey-bubble-0.1.tar.gz:

2003-09-23  Laurent Belmonte  <lolo3d@tuxfamily.org>

	initial release
